/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Assistant of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_MAINWINDOW_H
#define UI_MAINWINDOW_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QMainWindow>
#include <QtGui/QMenu>
#include <QtGui/QMenuBar>
#include <QtGui/QToolBar>
#include <QtGui/QWidget>

class Ui_MainWindow
{
public:
    QAction *actionFilePrint;
    QAction *actionFileExit;
    QAction *actionEditCopy;
    QAction *actionEditFind;
    QAction *actionEditFindAgain;
    QAction *actionEditFindAgainPrev;
    QAction *actionGoHome;
    QAction *actionGoPrevious;
    QAction *actionGoNext;
    QAction *actionAboutAssistant;
    QAction *actionAboutApplication;
    QAction *actionZoomIn;
    QAction *actionZoomOut;
    QAction *actionSettings;
    QAction *actionNewWindow;
    QAction *actionClose;
    QAction *actionAddBookmark;
    QAction *actionHelpWhatsThis;
    QAction *actionOpenPage;
    QAction *actionNextPage;
    QAction *actionPrevPage;
    QAction *actionClosePage;
    QAction *actionHelpAssistant;
    QAction *actionSaveAs;
    QWidget *__qt_central_widget;
    QToolBar *Toolbar;
    QToolBar *goActionToolbar;
    QMenuBar *menubar;
    QMenu *fileMenu;
    QMenu *editMenu;
    QMenu *viewMenu;
    QMenu *goMenu;
    QMenu *bookmarkMenu;
    QMenu *helpMenu;

    void setupUi(QMainWindow *MainWindow)
    {
    MainWindow->setObjectName(QString::fromUtf8("MainWindow"));
    MainWindow->resize(QSize(949, 670).expandedTo(MainWindow->minimumSizeHint()));
    actionFilePrint = new QAction(MainWindow);
    actionFilePrint->setObjectName(QString::fromUtf8("actionFilePrint"));
    actionFilePrint->setIcon(QIcon(QString::fromUtf8(":/trolltech/assistant/images/win/print.png")));
    actionFileExit = new QAction(MainWindow);
    actionFileExit->setObjectName(QString::fromUtf8("actionFileExit"));
    actionEditCopy = new QAction(MainWindow);
    actionEditCopy->setObjectName(QString::fromUtf8("actionEditCopy"));
    actionEditCopy->setIcon(QIcon(QString::fromUtf8(":/trolltech/assistant/images/win/editcopy.png")));
    actionEditFind = new QAction(MainWindow);
    actionEditFind->setObjectName(QString::fromUtf8("actionEditFind"));
    actionEditFind->setIcon(QIcon(QString::fromUtf8(":/trolltech/assistant/images/win/find.png")));
    actionEditFindAgain = new QAction(MainWindow);
    actionEditFindAgain->setObjectName(QString::fromUtf8("actionEditFindAgain"));
    actionEditFindAgainPrev = new QAction(MainWindow);
    actionEditFindAgainPrev->setObjectName(QString::fromUtf8("actionEditFindAgainPrev"));
    actionGoHome = new QAction(MainWindow);
    actionGoHome->setObjectName(QString::fromUtf8("actionGoHome"));
    actionGoHome->setIcon(QIcon(QString::fromUtf8(":/trolltech/assistant/images/win/home.png")));
    actionGoPrevious = new QAction(MainWindow);
    actionGoPrevious->setObjectName(QString::fromUtf8("actionGoPrevious"));
    actionGoPrevious->setIcon(QIcon(QString::fromUtf8(":/trolltech/assistant/images/win/previous.png")));
    actionGoNext = new QAction(MainWindow);
    actionGoNext->setObjectName(QString::fromUtf8("actionGoNext"));
    actionGoNext->setIcon(QIcon(QString::fromUtf8(":/trolltech/assistant/images/win/next.png")));
    actionAboutAssistant = new QAction(MainWindow);
    actionAboutAssistant->setObjectName(QString::fromUtf8("actionAboutAssistant"));
    actionAboutApplication = new QAction(MainWindow);
    actionAboutApplication->setObjectName(QString::fromUtf8("actionAboutApplication"));
    actionZoomIn = new QAction(MainWindow);
    actionZoomIn->setObjectName(QString::fromUtf8("actionZoomIn"));
    actionZoomIn->setIcon(QIcon(QString::fromUtf8(":/trolltech/assistant/images/win/zoomin.png")));
    actionZoomOut = new QAction(MainWindow);
    actionZoomOut->setObjectName(QString::fromUtf8("actionZoomOut"));
    actionZoomOut->setIcon(QIcon(QString::fromUtf8(":/trolltech/assistant/images/win/zoomout.png")));
    actionSettings = new QAction(MainWindow);
    actionSettings->setObjectName(QString::fromUtf8("actionSettings"));
    actionNewWindow = new QAction(MainWindow);
    actionNewWindow->setObjectName(QString::fromUtf8("actionNewWindow"));
    actionClose = new QAction(MainWindow);
    actionClose->setObjectName(QString::fromUtf8("actionClose"));
    actionAddBookmark = new QAction(MainWindow);
    actionAddBookmark->setObjectName(QString::fromUtf8("actionAddBookmark"));
    actionHelpWhatsThis = new QAction(MainWindow);
    actionHelpWhatsThis->setObjectName(QString::fromUtf8("actionHelpWhatsThis"));
    actionHelpWhatsThis->setIcon(QIcon(QString::fromUtf8(":/trolltech/assistant/images/win/whatsthis.png")));
    actionOpenPage = new QAction(MainWindow);
    actionOpenPage->setObjectName(QString::fromUtf8("actionOpenPage"));
    actionNextPage = new QAction(MainWindow);
    actionNextPage->setObjectName(QString::fromUtf8("actionNextPage"));
    actionPrevPage = new QAction(MainWindow);
    actionPrevPage->setObjectName(QString::fromUtf8("actionPrevPage"));
    actionClosePage = new QAction(MainWindow);
    actionClosePage->setObjectName(QString::fromUtf8("actionClosePage"));
    actionHelpAssistant = new QAction(MainWindow);
    actionHelpAssistant->setObjectName(QString::fromUtf8("actionHelpAssistant"));
    actionHelpAssistant->setIcon(QIcon(QString::fromUtf8(":/trolltech/assistant/images/assistant.png")));
    actionSaveAs = new QAction(MainWindow);
    actionSaveAs->setObjectName(QString::fromUtf8("actionSaveAs"));
    __qt_central_widget = new QWidget(MainWindow);
    __qt_central_widget->setObjectName(QString::fromUtf8("__qt_central_widget"));
    MainWindow->setCentralWidget(__qt_central_widget);
    Toolbar = new QToolBar(MainWindow);
    Toolbar->setObjectName(QString::fromUtf8("Toolbar"));
    MainWindow->addToolBar(Toolbar);
    goActionToolbar = new QToolBar(MainWindow);
    goActionToolbar->setObjectName(QString::fromUtf8("goActionToolbar"));
    MainWindow->addToolBar(goActionToolbar);
    menubar = new QMenuBar(MainWindow);
    menubar->setObjectName(QString::fromUtf8("menubar"));
    menubar->setGeometry(QRect(0, 0, 949, 29));
    fileMenu = new QMenu(menubar);
    fileMenu->setObjectName(QString::fromUtf8("fileMenu"));
    editMenu = new QMenu(menubar);
    editMenu->setObjectName(QString::fromUtf8("editMenu"));
    viewMenu = new QMenu(menubar);
    viewMenu->setObjectName(QString::fromUtf8("viewMenu"));
    goMenu = new QMenu(menubar);
    goMenu->setObjectName(QString::fromUtf8("goMenu"));
    bookmarkMenu = new QMenu(menubar);
    bookmarkMenu->setObjectName(QString::fromUtf8("bookmarkMenu"));
    helpMenu = new QMenu(menubar);
    helpMenu->setObjectName(QString::fromUtf8("helpMenu"));
    MainWindow->setMenuBar(menubar);

    Toolbar->addAction(actionGoPrevious);
    Toolbar->addAction(actionGoNext);
    Toolbar->addAction(actionGoHome);
    Toolbar->addSeparator();
    Toolbar->addAction(actionEditCopy);
    Toolbar->addAction(actionEditFind);
    Toolbar->addAction(actionFilePrint);
    Toolbar->addSeparator();
    Toolbar->addAction(actionZoomIn);
    Toolbar->addAction(actionZoomOut);
    Toolbar->addSeparator();
    Toolbar->addAction(actionHelpWhatsThis);
    menubar->addAction(fileMenu->menuAction());
    menubar->addAction(editMenu->menuAction());
    menubar->addAction(viewMenu->menuAction());
    menubar->addAction(goMenu->menuAction());
    menubar->addAction(bookmarkMenu->menuAction());
    menubar->addAction(helpMenu->menuAction());
    fileMenu->addAction(actionNewWindow);
    fileMenu->addAction(actionOpenPage);
    fileMenu->addAction(actionClosePage);
    fileMenu->addSeparator();
    fileMenu->addAction(actionSaveAs);
    fileMenu->addSeparator();
    fileMenu->addAction(actionFilePrint);
    fileMenu->addSeparator();
    fileMenu->addAction(actionClose);
    fileMenu->addAction(actionFileExit);
    editMenu->addAction(actionEditCopy);
    editMenu->addAction(actionEditFind);
    editMenu->addAction(actionEditFindAgain);
    editMenu->addAction(actionEditFindAgainPrev);
    editMenu->addSeparator();
    editMenu->addAction(actionSettings);
    viewMenu->addAction(actionZoomIn);
    viewMenu->addAction(actionZoomOut);
    goMenu->addAction(actionGoPrevious);
    goMenu->addAction(actionGoNext);
    goMenu->addAction(actionGoHome);
    goMenu->addSeparator();
    goMenu->addAction(actionNextPage);
    goMenu->addAction(actionPrevPage);
    helpMenu->addAction(actionHelpAssistant);
    helpMenu->addSeparator();
    helpMenu->addAction(actionAboutAssistant);
    helpMenu->addAction(actionAboutApplication);
    helpMenu->addSeparator();
    helpMenu->addAction(actionHelpWhatsThis);
    retranslateUi(MainWindow);

    QMetaObject::connectSlotsByName(MainWindow);
    } // setupUi

    void retranslateUi(QMainWindow *MainWindow)
    {
    MainWindow->setWindowTitle(QApplication::translate("MainWindow", "Qt Assistant by Trolltech", 0, QApplication::UnicodeUTF8));
    actionFilePrint->setWhatsThis(QApplication::translate("MainWindow", "Print the currently displayed page.", 0, QApplication::UnicodeUTF8));
    actionFilePrint->setShortcut(QApplication::translate("MainWindow", "Ctrl+P", 0, QApplication::UnicodeUTF8));
    actionFilePrint->setText(QApplication::translate("MainWindow", "&Print...", 0, QApplication::UnicodeUTF8));
    actionFileExit->setWhatsThis(QApplication::translate("MainWindow", "Quit Qt Assistant.", 0, QApplication::UnicodeUTF8));
    actionFileExit->setShortcut(QApplication::translate("MainWindow", "Ctrl+Q", 0, QApplication::UnicodeUTF8));
    actionFileExit->setText(QApplication::translate("MainWindow", "E&xit", 0, QApplication::UnicodeUTF8));
    actionEditCopy->setWhatsThis(QApplication::translate("MainWindow", "Copy the selected text to the clipboard.", 0, QApplication::UnicodeUTF8));
    actionEditCopy->setShortcut(QApplication::translate("MainWindow", "Ctrl+C", 0, QApplication::UnicodeUTF8));
    actionEditCopy->setText(QApplication::translate("MainWindow", "&Copy", 0, QApplication::UnicodeUTF8));
    actionEditFind->setWhatsThis(QApplication::translate("MainWindow", "Open the Find dialog. Qt Assistant will search the currently displayed page for the text you enter.", 0, QApplication::UnicodeUTF8));
    actionEditFind->setShortcut(QApplication::translate("MainWindow", "Ctrl+F", 0, QApplication::UnicodeUTF8));
    actionEditFind->setText(QApplication::translate("MainWindow", "&Find in Text...", 0, QApplication::UnicodeUTF8));
    actionEditFindAgain->setShortcut(QApplication::translate("MainWindow", "F3", 0, QApplication::UnicodeUTF8));
    actionEditFindAgain->setText(QApplication::translate("MainWindow", "Find &Next", 0, QApplication::UnicodeUTF8));
    actionEditFindAgainPrev->setShortcut(QApplication::translate("MainWindow", "Shift+F3", 0, QApplication::UnicodeUTF8));
    actionEditFindAgainPrev->setText(QApplication::translate("MainWindow", "Find &Previous", 0, QApplication::UnicodeUTF8));
    actionGoHome->setWhatsThis(QApplication::translate("MainWindow", "Go to the home page. Qt Assistant's home page is the Qt Reference Documentation.", 0, QApplication::UnicodeUTF8));
    actionGoHome->setShortcut(QApplication::translate("MainWindow", "Ctrl+Home", 0, QApplication::UnicodeUTF8));
    actionGoHome->setText(QApplication::translate("MainWindow", "&Home", 0, QApplication::UnicodeUTF8));
    actionGoPrevious->setWhatsThis(QApplication::translate("MainWindow", "Go to the previous page.", 0, QApplication::UnicodeUTF8));
    actionGoPrevious->setShortcut(QApplication::translate("MainWindow", "Alt+Left", 0, QApplication::UnicodeUTF8));
    actionGoPrevious->setText(QApplication::translate("MainWindow", "&Previous", 0, QApplication::UnicodeUTF8));
    actionGoNext->setWhatsThis(QApplication::translate("MainWindow", "Go to the next page.", 0, QApplication::UnicodeUTF8));
    actionGoNext->setShortcut(QApplication::translate("MainWindow", "Alt+Right", 0, QApplication::UnicodeUTF8));
    actionGoNext->setText(QApplication::translate("MainWindow", "&Next", 0, QApplication::UnicodeUTF8));
    actionAboutAssistant->setWhatsThis(QApplication::translate("MainWindow", "Display further information about Qt Assistant.", 0, QApplication::UnicodeUTF8));
    actionAboutAssistant->setText(QApplication::translate("MainWindow", "About Qt Assistant", 0, QApplication::UnicodeUTF8));
    actionAboutApplication->setText(QApplication::translate("MainWindow", "About Qt", 0, QApplication::UnicodeUTF8));
    actionZoomIn->setWhatsThis(QApplication::translate("MainWindow", "Zoom in on the document, i.e. increase the font size.", 0, QApplication::UnicodeUTF8));
    actionZoomIn->setShortcut(QApplication::translate("MainWindow", "Ctrl++", 0, QApplication::UnicodeUTF8));
    actionZoomIn->setText(QApplication::translate("MainWindow", "Zoom &in", 0, QApplication::UnicodeUTF8));
    actionZoomOut->setWhatsThis(QApplication::translate("MainWindow", "Zoom out on the document, i.e. decrease the font size.", 0, QApplication::UnicodeUTF8));
    actionZoomOut->setShortcut(QApplication::translate("MainWindow", "Ctrl+-", 0, QApplication::UnicodeUTF8));
    actionZoomOut->setText(QApplication::translate("MainWindow", "Zoom &out", 0, QApplication::UnicodeUTF8));
    actionSettings->setWhatsThis(QApplication::translate("MainWindow", "Open the settings dialog.", 0, QApplication::UnicodeUTF8));
    actionSettings->setText(QApplication::translate("MainWindow", "&Settings...", 0, QApplication::UnicodeUTF8));
    actionNewWindow->setWhatsThis(QApplication::translate("MainWindow", "Open a new window.", 0, QApplication::UnicodeUTF8));
    actionNewWindow->setShortcut(QApplication::translate("MainWindow", "Ctrl+N", 0, QApplication::UnicodeUTF8));
    actionNewWindow->setText(QApplication::translate("MainWindow", "New Window", 0, QApplication::UnicodeUTF8));
    actionClose->setWhatsThis(QApplication::translate("MainWindow", "Close the current window.", 0, QApplication::UnicodeUTF8));
    actionClose->setText(QApplication::translate("MainWindow", "&Close", 0, QApplication::UnicodeUTF8));
    actionAddBookmark->setWhatsThis(QApplication::translate("MainWindow", "Add the currently displayed page as a new bookmark.", 0, QApplication::UnicodeUTF8));
    actionAddBookmark->setText(QApplication::translate("MainWindow", "&Add Bookmark", 0, QApplication::UnicodeUTF8));
    actionHelpWhatsThis->setStatusTip(QApplication::translate("MainWindow", "\"What's This?\" context sensitive help.", 0, QApplication::UnicodeUTF8));
    actionHelpWhatsThis->setWhatsThis(QApplication::translate("MainWindow", "\"What's This?\" context sensitive help.", 0, QApplication::UnicodeUTF8));
    actionHelpWhatsThis->setShortcut(QApplication::translate("MainWindow", "Shift+F1", 0, QApplication::UnicodeUTF8));
    actionHelpWhatsThis->setText(QApplication::translate("MainWindow", "What's This?", 0, QApplication::UnicodeUTF8));
    actionOpenPage->setShortcut(QApplication::translate("MainWindow", "Ctrl+Alt+N", 0, QApplication::UnicodeUTF8));
    actionOpenPage->setText(QApplication::translate("MainWindow", "Add Tab", 0, QApplication::UnicodeUTF8));
    actionNextPage->setShortcut(QApplication::translate("MainWindow", "Ctrl+Alt+Right", 0, QApplication::UnicodeUTF8));
    actionNextPage->setText(QApplication::translate("MainWindow", "Next Tab", 0, QApplication::UnicodeUTF8));
    actionPrevPage->setShortcut(QApplication::translate("MainWindow", "Ctrl+Alt+Left", 0, QApplication::UnicodeUTF8));
    actionPrevPage->setText(QApplication::translate("MainWindow", "Previous Tab", 0, QApplication::UnicodeUTF8));
    actionClosePage->setShortcut(QApplication::translate("MainWindow", "Ctrl+Alt+Q", 0, QApplication::UnicodeUTF8));
    actionClosePage->setText(QApplication::translate("MainWindow", "Close Tab", 0, QApplication::UnicodeUTF8));
    actionHelpAssistant->setShortcut(QApplication::translate("MainWindow", "F1", 0, QApplication::UnicodeUTF8));
    actionHelpAssistant->setText(QApplication::translate("MainWindow", "Qt Assistant Manual", 0, QApplication::UnicodeUTF8));
    actionSaveAs->setShortcut(QApplication::translate("MainWindow", "Ctrl+Alt+S", 0, QApplication::UnicodeUTF8));
    actionSaveAs->setText(QApplication::translate("MainWindow", "Save Page As...", 0, QApplication::UnicodeUTF8));
    Toolbar->setWindowTitle(QApplication::translate("MainWindow", "Toolbar", 0, QApplication::UnicodeUTF8));
    goActionToolbar->setWindowTitle(QApplication::translate("MainWindow", "Go", 0, QApplication::UnicodeUTF8));
    fileMenu->setTitle(QApplication::translate("MainWindow", "&File", 0, QApplication::UnicodeUTF8));
    editMenu->setTitle(QApplication::translate("MainWindow", "&Edit", 0, QApplication::UnicodeUTF8));
    viewMenu->setTitle(QApplication::translate("MainWindow", "&View", 0, QApplication::UnicodeUTF8));
    goMenu->setTitle(QApplication::translate("MainWindow", "&Go", 0, QApplication::UnicodeUTF8));
    bookmarkMenu->setTitle(QApplication::translate("MainWindow", "Boo&kmarks", 0, QApplication::UnicodeUTF8));
    helpMenu->setTitle(QApplication::translate("MainWindow", "&Help", 0, QApplication::UnicodeUTF8));
    } // retranslateUi

};

namespace Ui {
    class MainWindow: public Ui_MainWindow {};
} // namespace Ui

#endif // UI_MAINWINDOW_H
