/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Assistant of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_TABBEDBROWSER_H
#define UI_TABBEDBROWSER_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QTabWidget>
#include <QtGui/QWidget>

class Ui_TabbedBrowser
{
public:
    QGridLayout *gridLayout;
    QTabWidget *tab;
    QWidget *frontpage;
    QGridLayout *gridLayout1;

    void setupUi(QWidget *TabbedBrowser)
    {
    TabbedBrowser->setObjectName(QString::fromUtf8("TabbedBrowser"));
    TabbedBrowser->resize(QSize(710, 681).expandedTo(TabbedBrowser->minimumSizeHint()));
    gridLayout = new QGridLayout(TabbedBrowser);
    gridLayout->setSpacing(0);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    tab = new QTabWidget(TabbedBrowser);
    tab->setObjectName(QString::fromUtf8("tab"));
    frontpage = new QWidget();
    frontpage->setObjectName(QString::fromUtf8("frontpage"));
    gridLayout1 = new QGridLayout(frontpage);
    gridLayout1->setSpacing(6);
    gridLayout1->setMargin(8);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    tab->addTab(frontpage, QApplication::translate("TabbedBrowser", "Untitled", 0, QApplication::UnicodeUTF8));

    gridLayout->addWidget(tab, 0, 0, 1, 1);

    retranslateUi(TabbedBrowser);

    QMetaObject::connectSlotsByName(TabbedBrowser);
    } // setupUi

    void retranslateUi(QWidget *TabbedBrowser)
    {
    TabbedBrowser->setWindowTitle(QApplication::translate("TabbedBrowser", "TabbedBrowser", 0, QApplication::UnicodeUTF8));
    tab->setTabText(tab->indexOf(frontpage), QApplication::translate("TabbedBrowser", "Untitled", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(TabbedBrowser);
    } // retranslateUi

};

namespace Ui {
    class TabbedBrowser: public Ui_TabbedBrowser {};
} // namespace Ui

#endif // UI_TABBEDBROWSER_H
