/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Designer of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_LISTWIDGETEDITOR_H
#define UI_LISTWIDGETEDITOR_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QListWidget>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QToolButton>
#include <QtGui/QVBoxLayout>

class Ui_ListWidgetEditor
{
public:
    QVBoxLayout *vboxLayout;
    QGroupBox *groupBox;
    QGridLayout *gridLayout;
    QToolButton *moveItemDownButton;
    QHBoxLayout *hboxLayout;
    QLabel *pixmapLabel;
    QToolButton *previewPixmapItemButton;
    QToolButton *deletePixmapItemButton;
    QLabel *textLabel;
    QLineEdit *itemTextLineEdit;
    QToolButton *moveItemUpButton;
    QHBoxLayout *hboxLayout1;
    QToolButton *newItemButton;
    QToolButton *deleteItemButton;
    QSpacerItem *spacerItem;
    QListWidget *listWidget;
    QHBoxLayout *hboxLayout2;
    QSpacerItem *spacerItem1;
    QPushButton *okButton;
    QPushButton *cancelButton;

    void setupUi(QDialog *ListWidgetEditor)
    {
    ListWidgetEditor->setObjectName(QString::fromUtf8("ListWidgetEditor"));
    ListWidgetEditor->resize(QSize(272, 306).expandedTo(ListWidgetEditor->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(ListWidgetEditor);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(9);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    groupBox = new QGroupBox(ListWidgetEditor);
    groupBox->setObjectName(QString::fromUtf8("groupBox"));
    gridLayout = new QGridLayout(groupBox);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(9);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    moveItemDownButton = new QToolButton(groupBox);
    moveItemDownButton->setObjectName(QString::fromUtf8("moveItemDownButton"));

    gridLayout->addWidget(moveItemDownButton, 2, 1, 1, 1);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    pixmapLabel = new QLabel(groupBox);
    pixmapLabel->setObjectName(QString::fromUtf8("pixmapLabel"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(pixmapLabel->sizePolicy().hasHeightForWidth());
    pixmapLabel->setSizePolicy(sizePolicy);

    hboxLayout->addWidget(pixmapLabel);

    previewPixmapItemButton = new QToolButton(groupBox);
    previewPixmapItemButton->setObjectName(QString::fromUtf8("previewPixmapItemButton"));

    hboxLayout->addWidget(previewPixmapItemButton);

    deletePixmapItemButton = new QToolButton(groupBox);
    deletePixmapItemButton->setObjectName(QString::fromUtf8("deletePixmapItemButton"));

    hboxLayout->addWidget(deletePixmapItemButton);

    textLabel = new QLabel(groupBox);
    textLabel->setObjectName(QString::fromUtf8("textLabel"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(textLabel->sizePolicy().hasHeightForWidth());
    textLabel->setSizePolicy(sizePolicy1);

    hboxLayout->addWidget(textLabel);

    itemTextLineEdit = new QLineEdit(groupBox);
    itemTextLineEdit->setObjectName(QString::fromUtf8("itemTextLineEdit"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(4));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(itemTextLineEdit->sizePolicy().hasHeightForWidth());
    itemTextLineEdit->setSizePolicy(sizePolicy2);

    hboxLayout->addWidget(itemTextLineEdit);


    gridLayout->addLayout(hboxLayout, 2, 0, 1, 1);

    moveItemUpButton = new QToolButton(groupBox);
    moveItemUpButton->setObjectName(QString::fromUtf8("moveItemUpButton"));

    gridLayout->addWidget(moveItemUpButton, 1, 1, 1, 1);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    newItemButton = new QToolButton(groupBox);
    newItemButton->setObjectName(QString::fromUtf8("newItemButton"));

    hboxLayout1->addWidget(newItemButton);

    deleteItemButton = new QToolButton(groupBox);
    deleteItemButton->setObjectName(QString::fromUtf8("deleteItemButton"));

    hboxLayout1->addWidget(deleteItemButton);

    spacerItem = new QSpacerItem(16, 10, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout1->addItem(spacerItem);


    gridLayout->addLayout(hboxLayout1, 1, 0, 1, 1);

    listWidget = new QListWidget(groupBox);
    listWidget->setObjectName(QString::fromUtf8("listWidget"));

    gridLayout->addWidget(listWidget, 0, 0, 1, 2);


    vboxLayout->addWidget(groupBox);

    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(6);
    hboxLayout2->setMargin(0);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    spacerItem1 = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout2->addItem(spacerItem1);

    okButton = new QPushButton(ListWidgetEditor);
    okButton->setObjectName(QString::fromUtf8("okButton"));

    hboxLayout2->addWidget(okButton);

    cancelButton = new QPushButton(ListWidgetEditor);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout2->addWidget(cancelButton);


    vboxLayout->addLayout(hboxLayout2);

    pixmapLabel->setBuddy(previewPixmapItemButton);
    textLabel->setBuddy(itemTextLineEdit);
    QWidget::setTabOrder(listWidget, newItemButton);
    QWidget::setTabOrder(newItemButton, deleteItemButton);
    QWidget::setTabOrder(deleteItemButton, moveItemUpButton);
    QWidget::setTabOrder(moveItemUpButton, moveItemDownButton);
    QWidget::setTabOrder(moveItemDownButton, previewPixmapItemButton);
    QWidget::setTabOrder(previewPixmapItemButton, deletePixmapItemButton);
    QWidget::setTabOrder(deletePixmapItemButton, itemTextLineEdit);
    QWidget::setTabOrder(itemTextLineEdit, okButton);
    QWidget::setTabOrder(okButton, cancelButton);
    retranslateUi(ListWidgetEditor);
    QObject::connect(okButton, SIGNAL(clicked()), ListWidgetEditor, SLOT(accept()));
    QObject::connect(cancelButton, SIGNAL(clicked()), ListWidgetEditor, SLOT(reject()));

    QMetaObject::connectSlotsByName(ListWidgetEditor);
    } // setupUi

    void retranslateUi(QDialog *ListWidgetEditor)
    {
    ListWidgetEditor->setWindowTitle(QApplication::translate("ListWidgetEditor", "Dialog", 0, QApplication::UnicodeUTF8));
    groupBox->setTitle(QApplication::translate("ListWidgetEditor", "Items List", 0, QApplication::UnicodeUTF8));
    moveItemDownButton->setToolTip(QApplication::translate("ListWidgetEditor", "Move Item Down", 0, QApplication::UnicodeUTF8));
    moveItemDownButton->setText(QApplication::translate("ListWidgetEditor", "D", 0, QApplication::UnicodeUTF8));
    pixmapLabel->setText(QApplication::translate("ListWidgetEditor", "&Pixmap", 0, QApplication::UnicodeUTF8));
    previewPixmapItemButton->setToolTip(QApplication::translate("ListWidgetEditor", "Set Item Pixmap", 0, QApplication::UnicodeUTF8));
    previewPixmapItemButton->setText(QApplication::translate("ListWidgetEditor", "...", 0, QApplication::UnicodeUTF8));
    deletePixmapItemButton->setToolTip(QApplication::translate("ListWidgetEditor", "Reset Item Pixmap", 0, QApplication::UnicodeUTF8));
    deletePixmapItemButton->setText(QApplication::translate("ListWidgetEditor", "", 0, QApplication::UnicodeUTF8));
    textLabel->setText(QApplication::translate("ListWidgetEditor", "&Text", 0, QApplication::UnicodeUTF8));
    itemTextLineEdit->setToolTip(QApplication::translate("ListWidgetEditor", "Set Item Text", 0, QApplication::UnicodeUTF8));
    moveItemUpButton->setToolTip(QApplication::translate("ListWidgetEditor", "Move Item Up", 0, QApplication::UnicodeUTF8));
    moveItemUpButton->setText(QApplication::translate("ListWidgetEditor", "U", 0, QApplication::UnicodeUTF8));
    newItemButton->setToolTip(QApplication::translate("ListWidgetEditor", "New Item", 0, QApplication::UnicodeUTF8));
    newItemButton->setText(QApplication::translate("ListWidgetEditor", "&New Item", 0, QApplication::UnicodeUTF8));
    deleteItemButton->setToolTip(QApplication::translate("ListWidgetEditor", "Delete Item", 0, QApplication::UnicodeUTF8));
    deleteItemButton->setText(QApplication::translate("ListWidgetEditor", "&Delete Item", 0, QApplication::UnicodeUTF8));
    listWidget->setToolTip(QApplication::translate("ListWidgetEditor", "Items List", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("ListWidgetEditor", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("ListWidgetEditor", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(ListWidgetEditor);
    } // retranslateUi

};

namespace Ui {
    class ListWidgetEditor: public Ui_ListWidgetEditor {};
} // namespace Ui

#endif // UI_LISTWIDGETEDITOR_H
