/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Designer of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_PALETTEEDITOR_H
#define UI_PALETTEEDITOR_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QTreeView>
#include <QtGui/QVBoxLayout>
#include "previewframe.h"
#include "styledbutton.h"

class Ui_PaletteEditor
{
public:
    QVBoxLayout *vboxLayout;
    QGroupBox *advancedBox;
    QGridLayout *gridLayout;
    QLabel *label;
    qdesigner_internal::StyledButton *buildButton;
    QRadioButton *computeRadio;
    QRadioButton *detailsRadio;
    QTreeView *paletteView;
    QGroupBox *GroupBox126;
    QGridLayout *gridLayout1;
    QRadioButton *disabledRadio;
    QRadioButton *inactiveRadio;
    QRadioButton *activeRadio;
    qdesigner_internal::PreviewFrame *previewFrame;
    QHBoxLayout *hboxLayout;
    QPushButton *buttonHelp;
    QSpacerItem *spacerItem;
    QPushButton *buttonOk;
    QPushButton *buttonCancel;

    void setupUi(QDialog *PaletteEditor)
    {
    PaletteEditor->setObjectName(QString::fromUtf8("PaletteEditor"));
    PaletteEditor->resize(QSize(337, 433).expandedTo(PaletteEditor->minimumSizeHint()));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(7));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(PaletteEditor->sizePolicy().hasHeightForWidth());
    PaletteEditor->setSizePolicy(sizePolicy);
    vboxLayout = new QVBoxLayout(PaletteEditor);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(8);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    advancedBox = new QGroupBox(PaletteEditor);
    advancedBox->setObjectName(QString::fromUtf8("advancedBox"));
    advancedBox->setMinimumSize(QSize(0, 0));
    advancedBox->setMaximumSize(QSize(16777215, 16777215));
    gridLayout = new QGridLayout(advancedBox);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(8);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    label = new QLabel(advancedBox);
    label->setObjectName(QString::fromUtf8("label"));

    gridLayout->addWidget(label, 0, 0, 1, 1);

    buildButton = new qdesigner_internal::StyledButton(advancedBox);
    buildButton->setObjectName(QString::fromUtf8("buildButton"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(buildButton->sizePolicy().hasHeightForWidth());
    buildButton->setSizePolicy(sizePolicy1);
    buildButton->setFocusPolicy(Qt::StrongFocus);

    gridLayout->addWidget(buildButton, 0, 1, 1, 1);

    computeRadio = new QRadioButton(advancedBox);
    computeRadio->setObjectName(QString::fromUtf8("computeRadio"));
    computeRadio->setChecked(true);

    gridLayout->addWidget(computeRadio, 0, 2, 1, 1);

    detailsRadio = new QRadioButton(advancedBox);
    detailsRadio->setObjectName(QString::fromUtf8("detailsRadio"));

    gridLayout->addWidget(detailsRadio, 0, 3, 1, 1);

    paletteView = new QTreeView(advancedBox);
    paletteView->setObjectName(QString::fromUtf8("paletteView"));
    paletteView->setMinimumSize(QSize(0, 200));

    gridLayout->addWidget(paletteView, 1, 0, 1, 4);


    vboxLayout->addWidget(advancedBox);

    GroupBox126 = new QGroupBox(PaletteEditor);
    GroupBox126->setObjectName(QString::fromUtf8("GroupBox126"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(7));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(GroupBox126->sizePolicy().hasHeightForWidth());
    GroupBox126->setSizePolicy(sizePolicy2);
    gridLayout1 = new QGridLayout(GroupBox126);
    gridLayout1->setSpacing(6);
    gridLayout1->setMargin(8);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    disabledRadio = new QRadioButton(GroupBox126);
    disabledRadio->setObjectName(QString::fromUtf8("disabledRadio"));

    gridLayout1->addWidget(disabledRadio, 0, 2, 1, 1);

    inactiveRadio = new QRadioButton(GroupBox126);
    inactiveRadio->setObjectName(QString::fromUtf8("inactiveRadio"));

    gridLayout1->addWidget(inactiveRadio, 0, 1, 1, 1);

    activeRadio = new QRadioButton(GroupBox126);
    activeRadio->setObjectName(QString::fromUtf8("activeRadio"));
    activeRadio->setChecked(true);

    gridLayout1->addWidget(activeRadio, 0, 0, 1, 1);

    previewFrame = new qdesigner_internal::PreviewFrame(GroupBox126);
    previewFrame->setObjectName(QString::fromUtf8("previewFrame"));
    QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(7));
    sizePolicy3.setHorizontalStretch(0);
    sizePolicy3.setVerticalStretch(0);
    sizePolicy3.setHeightForWidth(previewFrame->sizePolicy().hasHeightForWidth());
    previewFrame->setSizePolicy(sizePolicy3);

    gridLayout1->addWidget(previewFrame, 1, 0, 1, 3);


    vboxLayout->addWidget(GroupBox126);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    buttonHelp = new QPushButton(PaletteEditor);
    buttonHelp->setObjectName(QString::fromUtf8("buttonHelp"));
    buttonHelp->setAutoDefault(true);

    hboxLayout->addWidget(buttonHelp);

    spacerItem = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    buttonOk = new QPushButton(PaletteEditor);
    buttonOk->setObjectName(QString::fromUtf8("buttonOk"));
    buttonOk->setAutoDefault(true);
    buttonOk->setDefault(true);

    hboxLayout->addWidget(buttonOk);

    buttonCancel = new QPushButton(PaletteEditor);
    buttonCancel->setObjectName(QString::fromUtf8("buttonCancel"));
    buttonCancel->setAutoDefault(true);

    hboxLayout->addWidget(buttonCancel);


    vboxLayout->addLayout(hboxLayout);

    QWidget::setTabOrder(buildButton, buttonHelp);
    QWidget::setTabOrder(buttonHelp, buttonOk);
    QWidget::setTabOrder(buttonOk, buttonCancel);
    retranslateUi(PaletteEditor);
    QObject::connect(buttonCancel, SIGNAL(clicked()), PaletteEditor, SLOT(reject()));
    QObject::connect(buttonOk, SIGNAL(clicked()), PaletteEditor, SLOT(accept()));

    QMetaObject::connectSlotsByName(PaletteEditor);
    } // setupUi

    void retranslateUi(QDialog *PaletteEditor)
    {
    PaletteEditor->setWindowTitle(QApplication::translate("PaletteEditor", "Edit Palette", 0, QApplication::UnicodeUTF8));
    advancedBox->setTitle(QApplication::translate("PaletteEditor", "Tune Palette", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("PaletteEditor", "Quick", 0, QApplication::UnicodeUTF8));
    buildButton->setToolTip(QApplication::translate("PaletteEditor", "Choose a color", 0, QApplication::UnicodeUTF8));
    buildButton->setWhatsThis(QApplication::translate("PaletteEditor", "Choose the effect-color for the generated palette.", 0, QApplication::UnicodeUTF8));
    computeRadio->setText(QApplication::translate("PaletteEditor", "Compute Details", 0, QApplication::UnicodeUTF8));
    detailsRadio->setText(QApplication::translate("PaletteEditor", "Show Details", 0, QApplication::UnicodeUTF8));
    GroupBox126->setTitle(QApplication::translate("PaletteEditor", "Preview", 0, QApplication::UnicodeUTF8));
    disabledRadio->setText(QApplication::translate("PaletteEditor", "Disabled", 0, QApplication::UnicodeUTF8));
    inactiveRadio->setText(QApplication::translate("PaletteEditor", "Inactive", 0, QApplication::UnicodeUTF8));
    activeRadio->setText(QApplication::translate("PaletteEditor", "Active", 0, QApplication::UnicodeUTF8));
    buttonHelp->setText(QApplication::translate("PaletteEditor", "&Help", 0, QApplication::UnicodeUTF8));
    buttonOk->setWhatsThis(QApplication::translate("PaletteEditor", "Close the dialog and apply all the changes.", 0, QApplication::UnicodeUTF8));
    buttonOk->setText(QApplication::translate("PaletteEditor", "OK", 0, QApplication::UnicodeUTF8));
    buttonCancel->setWhatsThis(QApplication::translate("PaletteEditor", "Close the dialog and discard any changes.", 0, QApplication::UnicodeUTF8));
    buttonCancel->setText(QApplication::translate("PaletteEditor", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(PaletteEditor);
    } // retranslateUi

};

namespace Ui {
    class PaletteEditor: public Ui_PaletteEditor {};
} // namespace Ui

#endif // UI_PALETTEEDITOR_H
