/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Designer of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_PREVIEWWIDGET_H
#define UI_PREVIEWWIDGET_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QComboBox>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLineEdit>
#include <QtGui/QListWidget>
#include <QtGui/QProgressBar>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QScrollBar>
#include <QtGui/QSlider>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

class Ui_PreviewWidget
{
public:
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QVBoxLayout *vboxLayout1;
    QGroupBox *ButtonGroup1;
    QVBoxLayout *vboxLayout2;
    QRadioButton *RadioButton1;
    QRadioButton *RadioButton2;
    QRadioButton *RadioButton3;
    QGroupBox *ButtonGroup2;
    QVBoxLayout *vboxLayout3;
    QCheckBox *CheckBox1;
    QCheckBox *CheckBox2;
    QProgressBar *ProgressBar1;
    QVBoxLayout *vboxLayout4;
    QLineEdit *LineEdit1;
    QComboBox *ComboBox1;
    QHBoxLayout *hboxLayout1;
    QSpinBox *SpinBox1;
    QPushButton *PushButton1;
    QScrollBar *ScrollBar1;
    QSlider *Slider1;
    QListWidget *listWidget;
    QSpacerItem *spacerItem;

    void setupUi(QWidget *PreviewWidget)
    {
    PreviewWidget->setObjectName(QString::fromUtf8("PreviewWidget"));
    PreviewWidget->resize(QSize(375, 303).expandedTo(PreviewWidget->minimumSizeHint()));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(PreviewWidget->sizePolicy().hasHeightForWidth());
    PreviewWidget->setSizePolicy(sizePolicy);
    vboxLayout = new QVBoxLayout(PreviewWidget);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(11);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    vboxLayout1 = new QVBoxLayout();
    vboxLayout1->setSpacing(6);
    vboxLayout1->setMargin(0);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    ButtonGroup1 = new QGroupBox(PreviewWidget);
    ButtonGroup1->setObjectName(QString::fromUtf8("ButtonGroup1"));
    ButtonGroup1->setGeometry(QRect(0, 0, 123, 111));
    vboxLayout2 = new QVBoxLayout(ButtonGroup1);
    vboxLayout2->setSpacing(6);
    vboxLayout2->setMargin(11);
    vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
    RadioButton1 = new QRadioButton(ButtonGroup1);
    RadioButton1->setObjectName(QString::fromUtf8("RadioButton1"));
    RadioButton1->setGeometry(QRect(13, 23, 97, 21));
    RadioButton1->setChecked(true);

    vboxLayout2->addWidget(RadioButton1);

    RadioButton2 = new QRadioButton(ButtonGroup1);
    RadioButton2->setObjectName(QString::fromUtf8("RadioButton2"));
    RadioButton2->setGeometry(QRect(13, 50, 97, 21));

    vboxLayout2->addWidget(RadioButton2);

    RadioButton3 = new QRadioButton(ButtonGroup1);
    RadioButton3->setObjectName(QString::fromUtf8("RadioButton3"));
    RadioButton3->setGeometry(QRect(13, 77, 97, 21));

    vboxLayout2->addWidget(RadioButton3);


    vboxLayout1->addWidget(ButtonGroup1);

    ButtonGroup2 = new QGroupBox(PreviewWidget);
    ButtonGroup2->setObjectName(QString::fromUtf8("ButtonGroup2"));
    ButtonGroup2->setGeometry(QRect(0, 117, 123, 84));
    vboxLayout3 = new QVBoxLayout(ButtonGroup2);
    vboxLayout3->setSpacing(6);
    vboxLayout3->setMargin(11);
    vboxLayout3->setObjectName(QString::fromUtf8("vboxLayout3"));
    CheckBox1 = new QCheckBox(ButtonGroup2);
    CheckBox1->setObjectName(QString::fromUtf8("CheckBox1"));
    CheckBox1->setGeometry(QRect(13, 23, 97, 21));
    CheckBox1->setChecked(true);

    vboxLayout3->addWidget(CheckBox1);

    CheckBox2 = new QCheckBox(ButtonGroup2);
    CheckBox2->setObjectName(QString::fromUtf8("CheckBox2"));
    CheckBox2->setGeometry(QRect(13, 50, 97, 21));

    vboxLayout3->addWidget(CheckBox2);


    vboxLayout1->addWidget(ButtonGroup2);

    ProgressBar1 = new QProgressBar(PreviewWidget);
    ProgressBar1->setObjectName(QString::fromUtf8("ProgressBar1"));
    ProgressBar1->setGeometry(QRect(0, 207, 123, 25));

    vboxLayout1->addWidget(ProgressBar1);


    hboxLayout->addLayout(vboxLayout1);

    vboxLayout4 = new QVBoxLayout();
    vboxLayout4->setSpacing(6);
    vboxLayout4->setMargin(0);
    vboxLayout4->setObjectName(QString::fromUtf8("vboxLayout4"));
    LineEdit1 = new QLineEdit(PreviewWidget);
    LineEdit1->setObjectName(QString::fromUtf8("LineEdit1"));
    LineEdit1->setGeometry(QRect(0, 6, 224, 23));

    vboxLayout4->addWidget(LineEdit1);

    ComboBox1 = new QComboBox(PreviewWidget);
    ComboBox1->setObjectName(QString::fromUtf8("ComboBox1"));
    ComboBox1->setGeometry(QRect(0, 41, 224, 25));

    vboxLayout4->addWidget(ComboBox1);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    SpinBox1 = new QSpinBox(PreviewWidget);
    SpinBox1->setObjectName(QString::fromUtf8("SpinBox1"));
    SpinBox1->setGeometry(QRect(0, 0, 109, 25));

    hboxLayout1->addWidget(SpinBox1);

    PushButton1 = new QPushButton(PreviewWidget);
    PushButton1->setObjectName(QString::fromUtf8("PushButton1"));
    PushButton1->setGeometry(QRect(115, 0, 109, 26));

    hboxLayout1->addWidget(PushButton1);


    vboxLayout4->addLayout(hboxLayout1);

    ScrollBar1 = new QScrollBar(PreviewWidget);
    ScrollBar1->setObjectName(QString::fromUtf8("ScrollBar1"));
    ScrollBar1->setGeometry(QRect(0, 116, 224, 16));
    ScrollBar1->setOrientation(Qt::Horizontal);

    vboxLayout4->addWidget(ScrollBar1);

    Slider1 = new QSlider(PreviewWidget);
    Slider1->setObjectName(QString::fromUtf8("Slider1"));
    Slider1->setGeometry(QRect(0, 144, 224, 16));
    Slider1->setOrientation(Qt::Horizontal);

    vboxLayout4->addWidget(Slider1);

    listWidget = new QListWidget(PreviewWidget);
    listWidget->setObjectName(QString::fromUtf8("listWidget"));
    listWidget->setGeometry(QRect(0, 172, 224, 50));
    listWidget->setMaximumSize(QSize(32767, 50));

    vboxLayout4->addWidget(listWidget);


    hboxLayout->addLayout(vboxLayout4);


    vboxLayout->addLayout(hboxLayout);

    spacerItem = new QSpacerItem(20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem);

    retranslateUi(PreviewWidget);

    QMetaObject::connectSlotsByName(PreviewWidget);
    } // setupUi

    void retranslateUi(QWidget *PreviewWidget)
    {
    PreviewWidget->setWindowTitle(QApplication::translate("PreviewWidget", "Preview Window", 0, QApplication::UnicodeUTF8));
    ButtonGroup1->setTitle(QApplication::translate("PreviewWidget", "ButtonGroup", 0, QApplication::UnicodeUTF8));
    RadioButton1->setText(QApplication::translate("PreviewWidget", "RadioButton1", 0, QApplication::UnicodeUTF8));
    RadioButton2->setText(QApplication::translate("PreviewWidget", "RadioButton2", 0, QApplication::UnicodeUTF8));
    RadioButton3->setText(QApplication::translate("PreviewWidget", "RadioButton3", 0, QApplication::UnicodeUTF8));
    ButtonGroup2->setTitle(QApplication::translate("PreviewWidget", "ButtonGroup2", 0, QApplication::UnicodeUTF8));
    CheckBox1->setText(QApplication::translate("PreviewWidget", "CheckBox1", 0, QApplication::UnicodeUTF8));
    CheckBox2->setText(QApplication::translate("PreviewWidget", "CheckBox2", 0, QApplication::UnicodeUTF8));
    LineEdit1->setText(QApplication::translate("PreviewWidget", "LineEdit", 0, QApplication::UnicodeUTF8));
    ComboBox1->clear();
    ComboBox1->addItem(QApplication::translate("PreviewWidget", "ComboBox", 0, QApplication::UnicodeUTF8));
    PushButton1->setText(QApplication::translate("PreviewWidget", "PushButton", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(PreviewWidget);
    } // retranslateUi

};

namespace Ui {
    class PreviewWidget: public Ui_PreviewWidget {};
} // namespace Ui

#endif // UI_PREVIEWWIDGET_H
