/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Designer of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_TABLEWIDGETEDITOR_H
#define UI_TABLEWIDGETEDITOR_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QListWidget>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QTableWidget>
#include <QtGui/QToolButton>

class Ui_TableWidgetEditor
{
public:
    QGridLayout *gridLayout;
    QGroupBox *rowsBox;
    QGridLayout *gridLayout1;
    QToolButton *moveRowDownButton;
    QToolButton *moveRowUpButton;
    QListWidget *rowsListWidget;
    QHBoxLayout *hboxLayout;
    QToolButton *newRowButton;
    QToolButton *renameRowButton;
    QToolButton *deleteRowButton;
    QSpacerItem *spacerItem;
    QHBoxLayout *hboxLayout1;
    QLabel *pixmapRowLabel;
    QToolButton *previewPixmapRowButton;
    QToolButton *deletePixmapRowButton;
    QSpacerItem *spacerItem1;
    QGroupBox *columnsBox;
    QGridLayout *gridLayout2;
    QHBoxLayout *hboxLayout2;
    QToolButton *newColumnButton;
    QToolButton *renameColumnButton;
    QToolButton *deleteColumnButton;
    QSpacerItem *spacerItem2;
    QToolButton *moveColumnUpButton;
    QToolButton *moveColumnDownButton;
    QListWidget *columnsListWidget;
    QHBoxLayout *hboxLayout3;
    QLabel *pixmapColumnLabel;
    QToolButton *previewPixmapColumnButton;
    QToolButton *deletePixmapColumnButton;
    QSpacerItem *spacerItem3;
    QGroupBox *itemsBox;
    QGridLayout *gridLayout3;
    QLabel *textLabel;
    QLineEdit *itemTextLineEdit;
    QToolButton *deletePixmapItemButton;
    QToolButton *previewPixmapItemButton;
    QLabel *pixmapLabel;
    QTableWidget *tableWidget;
    QHBoxLayout *hboxLayout4;
    QSpacerItem *spacerItem4;
    QPushButton *okButton;
    QPushButton *cancelButton;

    void setupUi(QDialog *TableWidgetEditor)
    {
    TableWidgetEditor->setObjectName(QString::fromUtf8("TableWidgetEditor"));
    TableWidgetEditor->resize(QSize(582, 306).expandedTo(TableWidgetEditor->minimumSizeHint()));
    gridLayout = new QGridLayout(TableWidgetEditor);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(8);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    rowsBox = new QGroupBox(TableWidgetEditor);
    rowsBox->setObjectName(QString::fromUtf8("rowsBox"));
    gridLayout1 = new QGridLayout(rowsBox);
    gridLayout1->setSpacing(6);
    gridLayout1->setMargin(8);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    moveRowDownButton = new QToolButton(rowsBox);
    moveRowDownButton->setObjectName(QString::fromUtf8("moveRowDownButton"));

    gridLayout1->addWidget(moveRowDownButton, 2, 1, 1, 1);

    moveRowUpButton = new QToolButton(rowsBox);
    moveRowUpButton->setObjectName(QString::fromUtf8("moveRowUpButton"));

    gridLayout1->addWidget(moveRowUpButton, 1, 1, 1, 1);

    rowsListWidget = new QListWidget(rowsBox);
    rowsListWidget->setObjectName(QString::fromUtf8("rowsListWidget"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(13), static_cast<QSizePolicy::Policy>(7));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(rowsListWidget->sizePolicy().hasHeightForWidth());
    rowsListWidget->setSizePolicy(sizePolicy);
    rowsListWidget->setFocusPolicy(Qt::TabFocus);

    gridLayout1->addWidget(rowsListWidget, 0, 0, 1, 2);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    newRowButton = new QToolButton(rowsBox);
    newRowButton->setObjectName(QString::fromUtf8("newRowButton"));

    hboxLayout->addWidget(newRowButton);

    renameRowButton = new QToolButton(rowsBox);
    renameRowButton->setObjectName(QString::fromUtf8("renameRowButton"));

    hboxLayout->addWidget(renameRowButton);

    deleteRowButton = new QToolButton(rowsBox);
    deleteRowButton->setObjectName(QString::fromUtf8("deleteRowButton"));

    hboxLayout->addWidget(deleteRowButton);

    spacerItem = new QSpacerItem(20, 10, QSizePolicy::Ignored, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);


    gridLayout1->addLayout(hboxLayout, 1, 0, 1, 1);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    pixmapRowLabel = new QLabel(rowsBox);
    pixmapRowLabel->setObjectName(QString::fromUtf8("pixmapRowLabel"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(pixmapRowLabel->sizePolicy().hasHeightForWidth());
    pixmapRowLabel->setSizePolicy(sizePolicy1);

    hboxLayout1->addWidget(pixmapRowLabel);

    previewPixmapRowButton = new QToolButton(rowsBox);
    previewPixmapRowButton->setObjectName(QString::fromUtf8("previewPixmapRowButton"));

    hboxLayout1->addWidget(previewPixmapRowButton);

    deletePixmapRowButton = new QToolButton(rowsBox);
    deletePixmapRowButton->setObjectName(QString::fromUtf8("deletePixmapRowButton"));

    hboxLayout1->addWidget(deletePixmapRowButton);

    spacerItem1 = new QSpacerItem(20, 10, QSizePolicy::Ignored, QSizePolicy::Minimum);

    hboxLayout1->addItem(spacerItem1);


    gridLayout1->addLayout(hboxLayout1, 2, 0, 1, 1);


    gridLayout->addWidget(rowsBox, 1, 1, 1, 1);

    columnsBox = new QGroupBox(TableWidgetEditor);
    columnsBox->setObjectName(QString::fromUtf8("columnsBox"));
    gridLayout2 = new QGridLayout(columnsBox);
    gridLayout2->setSpacing(6);
    gridLayout2->setMargin(8);
    gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(6);
    hboxLayout2->setMargin(0);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    newColumnButton = new QToolButton(columnsBox);
    newColumnButton->setObjectName(QString::fromUtf8("newColumnButton"));

    hboxLayout2->addWidget(newColumnButton);

    renameColumnButton = new QToolButton(columnsBox);
    renameColumnButton->setObjectName(QString::fromUtf8("renameColumnButton"));

    hboxLayout2->addWidget(renameColumnButton);

    deleteColumnButton = new QToolButton(columnsBox);
    deleteColumnButton->setObjectName(QString::fromUtf8("deleteColumnButton"));

    hboxLayout2->addWidget(deleteColumnButton);

    spacerItem2 = new QSpacerItem(20, 10, QSizePolicy::Ignored, QSizePolicy::Minimum);

    hboxLayout2->addItem(spacerItem2);


    gridLayout2->addLayout(hboxLayout2, 1, 0, 1, 1);

    moveColumnUpButton = new QToolButton(columnsBox);
    moveColumnUpButton->setObjectName(QString::fromUtf8("moveColumnUpButton"));

    gridLayout2->addWidget(moveColumnUpButton, 1, 1, 1, 1);

    moveColumnDownButton = new QToolButton(columnsBox);
    moveColumnDownButton->setObjectName(QString::fromUtf8("moveColumnDownButton"));

    gridLayout2->addWidget(moveColumnDownButton, 2, 1, 1, 1);

    columnsListWidget = new QListWidget(columnsBox);
    columnsListWidget->setObjectName(QString::fromUtf8("columnsListWidget"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(13), static_cast<QSizePolicy::Policy>(7));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(columnsListWidget->sizePolicy().hasHeightForWidth());
    columnsListWidget->setSizePolicy(sizePolicy2);
    columnsListWidget->setFocusPolicy(Qt::TabFocus);

    gridLayout2->addWidget(columnsListWidget, 0, 0, 1, 2);

    hboxLayout3 = new QHBoxLayout();
    hboxLayout3->setSpacing(6);
    hboxLayout3->setMargin(0);
    hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
    pixmapColumnLabel = new QLabel(columnsBox);
    pixmapColumnLabel->setObjectName(QString::fromUtf8("pixmapColumnLabel"));
    QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
    sizePolicy3.setHorizontalStretch(0);
    sizePolicy3.setVerticalStretch(0);
    sizePolicy3.setHeightForWidth(pixmapColumnLabel->sizePolicy().hasHeightForWidth());
    pixmapColumnLabel->setSizePolicy(sizePolicy3);

    hboxLayout3->addWidget(pixmapColumnLabel);

    previewPixmapColumnButton = new QToolButton(columnsBox);
    previewPixmapColumnButton->setObjectName(QString::fromUtf8("previewPixmapColumnButton"));

    hboxLayout3->addWidget(previewPixmapColumnButton);

    deletePixmapColumnButton = new QToolButton(columnsBox);
    deletePixmapColumnButton->setObjectName(QString::fromUtf8("deletePixmapColumnButton"));

    hboxLayout3->addWidget(deletePixmapColumnButton);

    spacerItem3 = new QSpacerItem(20, 10, QSizePolicy::Ignored, QSizePolicy::Minimum);

    hboxLayout3->addItem(spacerItem3);


    gridLayout2->addLayout(hboxLayout3, 2, 0, 1, 1);


    gridLayout->addWidget(columnsBox, 0, 1, 1, 1);

    itemsBox = new QGroupBox(TableWidgetEditor);
    itemsBox->setObjectName(QString::fromUtf8("itemsBox"));
    gridLayout3 = new QGridLayout(itemsBox);
    gridLayout3->setSpacing(6);
    gridLayout3->setMargin(8);
    gridLayout3->setObjectName(QString::fromUtf8("gridLayout3"));
    textLabel = new QLabel(itemsBox);
    textLabel->setObjectName(QString::fromUtf8("textLabel"));
    QSizePolicy sizePolicy4(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
    sizePolicy4.setHorizontalStretch(0);
    sizePolicy4.setVerticalStretch(0);
    sizePolicy4.setHeightForWidth(textLabel->sizePolicy().hasHeightForWidth());
    textLabel->setSizePolicy(sizePolicy4);

    gridLayout3->addWidget(textLabel, 1, 3, 1, 1);

    itemTextLineEdit = new QLineEdit(itemsBox);
    itemTextLineEdit->setObjectName(QString::fromUtf8("itemTextLineEdit"));
    QSizePolicy sizePolicy5(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(4));
    sizePolicy5.setHorizontalStretch(0);
    sizePolicy5.setVerticalStretch(0);
    sizePolicy5.setHeightForWidth(itemTextLineEdit->sizePolicy().hasHeightForWidth());
    itemTextLineEdit->setSizePolicy(sizePolicy5);

    gridLayout3->addWidget(itemTextLineEdit, 1, 4, 1, 1);

    deletePixmapItemButton = new QToolButton(itemsBox);
    deletePixmapItemButton->setObjectName(QString::fromUtf8("deletePixmapItemButton"));

    gridLayout3->addWidget(deletePixmapItemButton, 1, 2, 1, 1);

    previewPixmapItemButton = new QToolButton(itemsBox);
    previewPixmapItemButton->setObjectName(QString::fromUtf8("previewPixmapItemButton"));

    gridLayout3->addWidget(previewPixmapItemButton, 1, 1, 1, 1);

    pixmapLabel = new QLabel(itemsBox);
    pixmapLabel->setObjectName(QString::fromUtf8("pixmapLabel"));
    QSizePolicy sizePolicy6(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
    sizePolicy6.setHorizontalStretch(0);
    sizePolicy6.setVerticalStretch(0);
    sizePolicy6.setHeightForWidth(pixmapLabel->sizePolicy().hasHeightForWidth());
    pixmapLabel->setSizePolicy(sizePolicy6);

    gridLayout3->addWidget(pixmapLabel, 1, 0, 1, 1);

    tableWidget = new QTableWidget(itemsBox);
    tableWidget->setObjectName(QString::fromUtf8("tableWidget"));

    gridLayout3->addWidget(tableWidget, 0, 0, 1, 5);


    gridLayout->addWidget(itemsBox, 0, 0, 2, 1);

    hboxLayout4 = new QHBoxLayout();
    hboxLayout4->setSpacing(6);
    hboxLayout4->setMargin(0);
    hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
    spacerItem4 = new QSpacerItem(431, 30, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout4->addItem(spacerItem4);

    okButton = new QPushButton(TableWidgetEditor);
    okButton->setObjectName(QString::fromUtf8("okButton"));
    okButton->setDefault(true);

    hboxLayout4->addWidget(okButton);

    cancelButton = new QPushButton(TableWidgetEditor);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout4->addWidget(cancelButton);


    gridLayout->addLayout(hboxLayout4, 2, 0, 1, 2);

    textLabel->setBuddy(itemTextLineEdit);
    pixmapLabel->setBuddy(previewPixmapItemButton);
    QWidget::setTabOrder(tableWidget, previewPixmapItemButton);
    QWidget::setTabOrder(previewPixmapItemButton, deletePixmapItemButton);
    QWidget::setTabOrder(deletePixmapItemButton, itemTextLineEdit);
    QWidget::setTabOrder(itemTextLineEdit, columnsListWidget);
    QWidget::setTabOrder(columnsListWidget, newColumnButton);
    QWidget::setTabOrder(newColumnButton, renameColumnButton);
    QWidget::setTabOrder(renameColumnButton, deleteColumnButton);
    QWidget::setTabOrder(deleteColumnButton, moveColumnUpButton);
    QWidget::setTabOrder(moveColumnUpButton, previewPixmapColumnButton);
    QWidget::setTabOrder(previewPixmapColumnButton, deletePixmapColumnButton);
    QWidget::setTabOrder(deletePixmapColumnButton, moveColumnDownButton);
    QWidget::setTabOrder(moveColumnDownButton, rowsListWidget);
    QWidget::setTabOrder(rowsListWidget, newRowButton);
    QWidget::setTabOrder(newRowButton, renameRowButton);
    QWidget::setTabOrder(renameRowButton, deleteRowButton);
    QWidget::setTabOrder(deleteRowButton, moveRowUpButton);
    QWidget::setTabOrder(moveRowUpButton, previewPixmapRowButton);
    QWidget::setTabOrder(previewPixmapRowButton, deletePixmapRowButton);
    QWidget::setTabOrder(deletePixmapRowButton, moveRowDownButton);
    QWidget::setTabOrder(moveRowDownButton, okButton);
    QWidget::setTabOrder(okButton, cancelButton);
    retranslateUi(TableWidgetEditor);
    QObject::connect(okButton, SIGNAL(clicked()), TableWidgetEditor, SLOT(accept()));
    QObject::connect(cancelButton, SIGNAL(clicked()), TableWidgetEditor, SLOT(reject()));

    QMetaObject::connectSlotsByName(TableWidgetEditor);
    } // setupUi

    void retranslateUi(QDialog *TableWidgetEditor)
    {
    TableWidgetEditor->setWindowTitle(QApplication::translate("TableWidgetEditor", "Edit Table Widget", 0, QApplication::UnicodeUTF8));
    rowsBox->setTitle(QApplication::translate("TableWidgetEditor", "Rows", 0, QApplication::UnicodeUTF8));
    moveRowDownButton->setToolTip(QApplication::translate("TableWidgetEditor", "Move Row Down", 0, QApplication::UnicodeUTF8));
    moveRowDownButton->setText(QApplication::translate("TableWidgetEditor", "D", 0, QApplication::UnicodeUTF8));
    moveRowUpButton->setToolTip(QApplication::translate("TableWidgetEditor", "Move Row Up", 0, QApplication::UnicodeUTF8));
    moveRowUpButton->setText(QApplication::translate("TableWidgetEditor", "U", 0, QApplication::UnicodeUTF8));
    rowsListWidget->setToolTip(QApplication::translate("TableWidgetEditor", "Table Rows", 0, QApplication::UnicodeUTF8));
    newRowButton->setToolTip(QApplication::translate("TableWidgetEditor", "New Row", 0, QApplication::UnicodeUTF8));
    newRowButton->setText(QApplication::translate("TableWidgetEditor", "New", 0, QApplication::UnicodeUTF8));
    renameRowButton->setToolTip(QApplication::translate("TableWidgetEditor", "Rename Row", 0, QApplication::UnicodeUTF8));
    renameRowButton->setText(QApplication::translate("TableWidgetEditor", "Rename", 0, QApplication::UnicodeUTF8));
    deleteRowButton->setToolTip(QApplication::translate("TableWidgetEditor", "Delete Row", 0, QApplication::UnicodeUTF8));
    deleteRowButton->setText(QApplication::translate("TableWidgetEditor", "Delete", 0, QApplication::UnicodeUTF8));
    pixmapRowLabel->setText(QApplication::translate("TableWidgetEditor", "Pixmap", 0, QApplication::UnicodeUTF8));
    previewPixmapRowButton->setToolTip(QApplication::translate("TableWidgetEditor", "Set Row Pixmap", 0, QApplication::UnicodeUTF8));
    previewPixmapRowButton->setText(QApplication::translate("TableWidgetEditor", "...", 0, QApplication::UnicodeUTF8));
    deletePixmapRowButton->setToolTip(QApplication::translate("TableWidgetEditor", "Reset Row Pixmap", 0, QApplication::UnicodeUTF8));
    deletePixmapRowButton->setText(QApplication::translate("TableWidgetEditor", "", 0, QApplication::UnicodeUTF8));
    columnsBox->setTitle(QApplication::translate("TableWidgetEditor", "Columns", 0, QApplication::UnicodeUTF8));
    newColumnButton->setToolTip(QApplication::translate("TableWidgetEditor", "New Column", 0, QApplication::UnicodeUTF8));
    newColumnButton->setText(QApplication::translate("TableWidgetEditor", "New", 0, QApplication::UnicodeUTF8));
    renameColumnButton->setToolTip(QApplication::translate("TableWidgetEditor", "Rename Column", 0, QApplication::UnicodeUTF8));
    renameColumnButton->setText(QApplication::translate("TableWidgetEditor", "Rename", 0, QApplication::UnicodeUTF8));
    deleteColumnButton->setToolTip(QApplication::translate("TableWidgetEditor", "Delete Column", 0, QApplication::UnicodeUTF8));
    deleteColumnButton->setText(QApplication::translate("TableWidgetEditor", "Delete", 0, QApplication::UnicodeUTF8));
    moveColumnUpButton->setToolTip(QApplication::translate("TableWidgetEditor", "Move Column Up", 0, QApplication::UnicodeUTF8));
    moveColumnUpButton->setText(QApplication::translate("TableWidgetEditor", "U", 0, QApplication::UnicodeUTF8));
    moveColumnDownButton->setToolTip(QApplication::translate("TableWidgetEditor", "Move Column Down", 0, QApplication::UnicodeUTF8));
    moveColumnDownButton->setText(QApplication::translate("TableWidgetEditor", "D", 0, QApplication::UnicodeUTF8));
    columnsListWidget->setToolTip(QApplication::translate("TableWidgetEditor", "Table Columns", 0, QApplication::UnicodeUTF8));
    pixmapColumnLabel->setText(QApplication::translate("TableWidgetEditor", "Pixmap", 0, QApplication::UnicodeUTF8));
    previewPixmapColumnButton->setToolTip(QApplication::translate("TableWidgetEditor", "Set Column Pixmap", 0, QApplication::UnicodeUTF8));
    previewPixmapColumnButton->setText(QApplication::translate("TableWidgetEditor", "...", 0, QApplication::UnicodeUTF8));
    deletePixmapColumnButton->setToolTip(QApplication::translate("TableWidgetEditor", "Reset Column Pixmap", 0, QApplication::UnicodeUTF8));
    deletePixmapColumnButton->setText(QApplication::translate("TableWidgetEditor", "", 0, QApplication::UnicodeUTF8));
    itemsBox->setTitle(QApplication::translate("TableWidgetEditor", "Table Items", 0, QApplication::UnicodeUTF8));
    textLabel->setText(QApplication::translate("TableWidgetEditor", "&Text", 0, QApplication::UnicodeUTF8));
    itemTextLineEdit->setToolTip(QApplication::translate("TableWidgetEditor", "Set Item Text", 0, QApplication::UnicodeUTF8));
    deletePixmapItemButton->setToolTip(QApplication::translate("TableWidgetEditor", "Reset Item Pixmap", 0, QApplication::UnicodeUTF8));
    deletePixmapItemButton->setText(QApplication::translate("TableWidgetEditor", "", 0, QApplication::UnicodeUTF8));
    previewPixmapItemButton->setToolTip(QApplication::translate("TableWidgetEditor", "Set Item Pixmap", 0, QApplication::UnicodeUTF8));
    previewPixmapItemButton->setText(QApplication::translate("TableWidgetEditor", "...", 0, QApplication::UnicodeUTF8));
    pixmapLabel->setText(QApplication::translate("TableWidgetEditor", "&Pixmap", 0, QApplication::UnicodeUTF8));
    tableWidget->clear();
    tableWidget->setColumnCount(0);
    tableWidget->setRowCount(0);
    tableWidget->setToolTip(QApplication::translate("TableWidgetEditor", "Table Items", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("TableWidgetEditor", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("TableWidgetEditor", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(TableWidgetEditor);
    } // retranslateUi

};

namespace Ui {
    class TableWidgetEditor: public Ui_TableWidgetEditor {};
} // namespace Ui

#endif // UI_TABLEWIDGETEDITOR_H
