/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Designer of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_TREEWIDGETEDITOR_H
#define UI_TREEWIDGETEDITOR_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QListWidget>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QToolButton>
#include <QtGui/QTreeWidget>

class Ui_TreeWidgetEditor
{
public:
    QGridLayout *gridLayout;
    QGroupBox *columnsBox;
    QGridLayout *gridLayout1;
    QHBoxLayout *hboxLayout;
    QLabel *pixmapColumnLabel;
    QToolButton *previewPixmapColumnButton;
    QToolButton *deletePixmapColumnButton;
    QSpacerItem *spacerItem;
    QHBoxLayout *hboxLayout1;
    QToolButton *newColumnButton;
    QToolButton *renameColumnButton;
    QToolButton *deleteColumnButton;
    QSpacerItem *spacerItem1;
    QToolButton *moveColumnUpButton;
    QToolButton *moveColumnDownButton;
    QListWidget *listWidget;
    QGroupBox *itemsBox;
    QGridLayout *gridLayout2;
    QHBoxLayout *hboxLayout2;
    QLabel *pixmapLabel;
    QToolButton *previewPixmapItemButton;
    QToolButton *deletePixmapItemButton;
    QLabel *textLabel;
    QLineEdit *itemTextLineEdit;
    QHBoxLayout *hboxLayout3;
    QToolButton *newItemButton;
    QToolButton *newSubItemButton;
    QToolButton *deleteItemButton;
    QSpacerItem *spacerItem2;
    QToolButton *moveItemLeftButton;
    QToolButton *moveItemRightButton;
    QToolButton *moveItemUpButton;
    QToolButton *moveItemDownButton;
    QTreeWidget *treeWidget;
    QHBoxLayout *hboxLayout4;
    QSpacerItem *spacerItem3;
    QPushButton *okButton;
    QPushButton *cancelButton;

    void setupUi(QDialog *TreeWidgetEditor)
    {
    TreeWidgetEditor->setObjectName(QString::fromUtf8("TreeWidgetEditor"));
    TreeWidgetEditor->resize(QSize(583, 278).expandedTo(TreeWidgetEditor->minimumSizeHint()));
    gridLayout = new QGridLayout(TreeWidgetEditor);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(8);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    columnsBox = new QGroupBox(TreeWidgetEditor);
    columnsBox->setObjectName(QString::fromUtf8("columnsBox"));
    gridLayout1 = new QGridLayout(columnsBox);
    gridLayout1->setSpacing(6);
    gridLayout1->setMargin(8);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    pixmapColumnLabel = new QLabel(columnsBox);
    pixmapColumnLabel->setObjectName(QString::fromUtf8("pixmapColumnLabel"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(pixmapColumnLabel->sizePolicy().hasHeightForWidth());
    pixmapColumnLabel->setSizePolicy(sizePolicy);

    hboxLayout->addWidget(pixmapColumnLabel);

    previewPixmapColumnButton = new QToolButton(columnsBox);
    previewPixmapColumnButton->setObjectName(QString::fromUtf8("previewPixmapColumnButton"));

    hboxLayout->addWidget(previewPixmapColumnButton);

    deletePixmapColumnButton = new QToolButton(columnsBox);
    deletePixmapColumnButton->setObjectName(QString::fromUtf8("deletePixmapColumnButton"));

    hboxLayout->addWidget(deletePixmapColumnButton);

    spacerItem = new QSpacerItem(20, 10, QSizePolicy::Ignored, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);


    gridLayout1->addLayout(hboxLayout, 2, 0, 1, 1);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    newColumnButton = new QToolButton(columnsBox);
    newColumnButton->setObjectName(QString::fromUtf8("newColumnButton"));

    hboxLayout1->addWidget(newColumnButton);

    renameColumnButton = new QToolButton(columnsBox);
    renameColumnButton->setObjectName(QString::fromUtf8("renameColumnButton"));

    hboxLayout1->addWidget(renameColumnButton);

    deleteColumnButton = new QToolButton(columnsBox);
    deleteColumnButton->setObjectName(QString::fromUtf8("deleteColumnButton"));

    hboxLayout1->addWidget(deleteColumnButton);

    spacerItem1 = new QSpacerItem(29, 23, QSizePolicy::Ignored, QSizePolicy::Minimum);

    hboxLayout1->addItem(spacerItem1);


    gridLayout1->addLayout(hboxLayout1, 1, 0, 1, 1);

    moveColumnUpButton = new QToolButton(columnsBox);
    moveColumnUpButton->setObjectName(QString::fromUtf8("moveColumnUpButton"));

    gridLayout1->addWidget(moveColumnUpButton, 1, 1, 1, 1);

    moveColumnDownButton = new QToolButton(columnsBox);
    moveColumnDownButton->setObjectName(QString::fromUtf8("moveColumnDownButton"));

    gridLayout1->addWidget(moveColumnDownButton, 2, 1, 1, 1);

    listWidget = new QListWidget(columnsBox);
    listWidget->setObjectName(QString::fromUtf8("listWidget"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(13), static_cast<QSizePolicy::Policy>(7));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(listWidget->sizePolicy().hasHeightForWidth());
    listWidget->setSizePolicy(sizePolicy1);
    listWidget->setFocusPolicy(Qt::TabFocus);

    gridLayout1->addWidget(listWidget, 0, 0, 1, 2);


    gridLayout->addWidget(columnsBox, 0, 1, 1, 1);

    itemsBox = new QGroupBox(TreeWidgetEditor);
    itemsBox->setObjectName(QString::fromUtf8("itemsBox"));
    gridLayout2 = new QGridLayout(itemsBox);
    gridLayout2->setSpacing(6);
    gridLayout2->setMargin(8);
    gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(6);
    hboxLayout2->setMargin(0);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    pixmapLabel = new QLabel(itemsBox);
    pixmapLabel->setObjectName(QString::fromUtf8("pixmapLabel"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(pixmapLabel->sizePolicy().hasHeightForWidth());
    pixmapLabel->setSizePolicy(sizePolicy2);

    hboxLayout2->addWidget(pixmapLabel);

    previewPixmapItemButton = new QToolButton(itemsBox);
    previewPixmapItemButton->setObjectName(QString::fromUtf8("previewPixmapItemButton"));

    hboxLayout2->addWidget(previewPixmapItemButton);

    deletePixmapItemButton = new QToolButton(itemsBox);
    deletePixmapItemButton->setObjectName(QString::fromUtf8("deletePixmapItemButton"));

    hboxLayout2->addWidget(deletePixmapItemButton);

    textLabel = new QLabel(itemsBox);
    textLabel->setObjectName(QString::fromUtf8("textLabel"));
    QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
    sizePolicy3.setHorizontalStretch(0);
    sizePolicy3.setVerticalStretch(0);
    sizePolicy3.setHeightForWidth(textLabel->sizePolicy().hasHeightForWidth());
    textLabel->setSizePolicy(sizePolicy3);

    hboxLayout2->addWidget(textLabel);

    itemTextLineEdit = new QLineEdit(itemsBox);
    itemTextLineEdit->setObjectName(QString::fromUtf8("itemTextLineEdit"));
    QSizePolicy sizePolicy4(static_cast<QSizePolicy::Policy>(13), static_cast<QSizePolicy::Policy>(4));
    sizePolicy4.setHorizontalStretch(0);
    sizePolicy4.setVerticalStretch(0);
    sizePolicy4.setHeightForWidth(itemTextLineEdit->sizePolicy().hasHeightForWidth());
    itemTextLineEdit->setSizePolicy(sizePolicy4);

    hboxLayout2->addWidget(itemTextLineEdit);


    gridLayout2->addLayout(hboxLayout2, 2, 0, 1, 1);

    hboxLayout3 = new QHBoxLayout();
    hboxLayout3->setSpacing(6);
    hboxLayout3->setMargin(0);
    hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
    newItemButton = new QToolButton(itemsBox);
    newItemButton->setObjectName(QString::fromUtf8("newItemButton"));

    hboxLayout3->addWidget(newItemButton);

    newSubItemButton = new QToolButton(itemsBox);
    newSubItemButton->setObjectName(QString::fromUtf8("newSubItemButton"));

    hboxLayout3->addWidget(newSubItemButton);

    deleteItemButton = new QToolButton(itemsBox);
    deleteItemButton->setObjectName(QString::fromUtf8("deleteItemButton"));

    hboxLayout3->addWidget(deleteItemButton);

    spacerItem2 = new QSpacerItem(16, 10, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout3->addItem(spacerItem2);

    moveItemLeftButton = new QToolButton(itemsBox);
    moveItemLeftButton->setObjectName(QString::fromUtf8("moveItemLeftButton"));

    hboxLayout3->addWidget(moveItemLeftButton);

    moveItemRightButton = new QToolButton(itemsBox);
    moveItemRightButton->setObjectName(QString::fromUtf8("moveItemRightButton"));

    hboxLayout3->addWidget(moveItemRightButton);


    gridLayout2->addLayout(hboxLayout3, 1, 0, 1, 1);

    moveItemUpButton = new QToolButton(itemsBox);
    moveItemUpButton->setObjectName(QString::fromUtf8("moveItemUpButton"));

    gridLayout2->addWidget(moveItemUpButton, 1, 1, 1, 1);

    moveItemDownButton = new QToolButton(itemsBox);
    moveItemDownButton->setObjectName(QString::fromUtf8("moveItemDownButton"));

    gridLayout2->addWidget(moveItemDownButton, 2, 1, 1, 1);

    treeWidget = new QTreeWidget(itemsBox);
    treeWidget->setObjectName(QString::fromUtf8("treeWidget"));
    treeWidget->setFocusPolicy(Qt::TabFocus);

    gridLayout2->addWidget(treeWidget, 0, 0, 1, 2);


    gridLayout->addWidget(itemsBox, 0, 0, 1, 1);

    hboxLayout4 = new QHBoxLayout();
    hboxLayout4->setSpacing(6);
    hboxLayout4->setMargin(0);
    hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
    spacerItem3 = new QSpacerItem(431, 30, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout4->addItem(spacerItem3);

    okButton = new QPushButton(TreeWidgetEditor);
    okButton->setObjectName(QString::fromUtf8("okButton"));
    okButton->setDefault(true);

    hboxLayout4->addWidget(okButton);

    cancelButton = new QPushButton(TreeWidgetEditor);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout4->addWidget(cancelButton);


    gridLayout->addLayout(hboxLayout4, 1, 0, 1, 2);

    pixmapLabel->setBuddy(previewPixmapItemButton);
    textLabel->setBuddy(itemTextLineEdit);
    QWidget::setTabOrder(treeWidget, newItemButton);
    QWidget::setTabOrder(newItemButton, newSubItemButton);
    QWidget::setTabOrder(newSubItemButton, deleteItemButton);
    QWidget::setTabOrder(deleteItemButton, moveItemLeftButton);
    QWidget::setTabOrder(moveItemLeftButton, moveItemRightButton);
    QWidget::setTabOrder(moveItemRightButton, moveItemUpButton);
    QWidget::setTabOrder(moveItemUpButton, moveItemDownButton);
    QWidget::setTabOrder(moveItemDownButton, previewPixmapItemButton);
    QWidget::setTabOrder(previewPixmapItemButton, deletePixmapItemButton);
    QWidget::setTabOrder(deletePixmapItemButton, itemTextLineEdit);
    QWidget::setTabOrder(itemTextLineEdit, listWidget);
    QWidget::setTabOrder(listWidget, newColumnButton);
    QWidget::setTabOrder(newColumnButton, renameColumnButton);
    QWidget::setTabOrder(renameColumnButton, deleteColumnButton);
    QWidget::setTabOrder(deleteColumnButton, moveColumnUpButton);
    QWidget::setTabOrder(moveColumnUpButton, previewPixmapColumnButton);
    QWidget::setTabOrder(previewPixmapColumnButton, deletePixmapColumnButton);
    QWidget::setTabOrder(deletePixmapColumnButton, moveColumnDownButton);
    QWidget::setTabOrder(moveColumnDownButton, okButton);
    QWidget::setTabOrder(okButton, cancelButton);
    retranslateUi(TreeWidgetEditor);
    QObject::connect(okButton, SIGNAL(clicked()), TreeWidgetEditor, SLOT(accept()));
    QObject::connect(cancelButton, SIGNAL(clicked()), TreeWidgetEditor, SLOT(reject()));

    QMetaObject::connectSlotsByName(TreeWidgetEditor);
    } // setupUi

    void retranslateUi(QDialog *TreeWidgetEditor)
    {
    TreeWidgetEditor->setWindowTitle(QApplication::translate("TreeWidgetEditor", "Edit Tree Widget", 0, QApplication::UnicodeUTF8));
    columnsBox->setTitle(QApplication::translate("TreeWidgetEditor", "Columns", 0, QApplication::UnicodeUTF8));
    pixmapColumnLabel->setText(QApplication::translate("TreeWidgetEditor", "Pixmap", 0, QApplication::UnicodeUTF8));
    previewPixmapColumnButton->setToolTip(QApplication::translate("TreeWidgetEditor", "Set Column Pixmap", 0, QApplication::UnicodeUTF8));
    previewPixmapColumnButton->setText(QApplication::translate("TreeWidgetEditor", "...", 0, QApplication::UnicodeUTF8));
    deletePixmapColumnButton->setToolTip(QApplication::translate("TreeWidgetEditor", "Reset Column Pixmap", 0, QApplication::UnicodeUTF8));
    deletePixmapColumnButton->setText(QApplication::translate("TreeWidgetEditor", "", 0, QApplication::UnicodeUTF8));
    newColumnButton->setToolTip(QApplication::translate("TreeWidgetEditor", "New Column", 0, QApplication::UnicodeUTF8));
    newColumnButton->setText(QApplication::translate("TreeWidgetEditor", "New", 0, QApplication::UnicodeUTF8));
    renameColumnButton->setToolTip(QApplication::translate("TreeWidgetEditor", "Rename Column", 0, QApplication::UnicodeUTF8));
    renameColumnButton->setText(QApplication::translate("TreeWidgetEditor", "Rename", 0, QApplication::UnicodeUTF8));
    deleteColumnButton->setToolTip(QApplication::translate("TreeWidgetEditor", "Delete Column", 0, QApplication::UnicodeUTF8));
    deleteColumnButton->setText(QApplication::translate("TreeWidgetEditor", "Delete", 0, QApplication::UnicodeUTF8));
    moveColumnUpButton->setToolTip(QApplication::translate("TreeWidgetEditor", "Move Column Up", 0, QApplication::UnicodeUTF8));
    moveColumnUpButton->setText(QApplication::translate("TreeWidgetEditor", "U", 0, QApplication::UnicodeUTF8));
    moveColumnDownButton->setToolTip(QApplication::translate("TreeWidgetEditor", "Move Column Down", 0, QApplication::UnicodeUTF8));
    moveColumnDownButton->setText(QApplication::translate("TreeWidgetEditor", "D", 0, QApplication::UnicodeUTF8));
    listWidget->setToolTip(QApplication::translate("TreeWidgetEditor", "Tree Columns", 0, QApplication::UnicodeUTF8));
    itemsBox->setTitle(QApplication::translate("TreeWidgetEditor", "Tree Items", 0, QApplication::UnicodeUTF8));
    pixmapLabel->setText(QApplication::translate("TreeWidgetEditor", "&Pixmap", 0, QApplication::UnicodeUTF8));
    previewPixmapItemButton->setToolTip(QApplication::translate("TreeWidgetEditor", "Set Item Pixmap", 0, QApplication::UnicodeUTF8));
    previewPixmapItemButton->setText(QApplication::translate("TreeWidgetEditor", "...", 0, QApplication::UnicodeUTF8));
    deletePixmapItemButton->setToolTip(QApplication::translate("TreeWidgetEditor", "Reset Item Pixmap", 0, QApplication::UnicodeUTF8));
    deletePixmapItemButton->setText(QApplication::translate("TreeWidgetEditor", "", 0, QApplication::UnicodeUTF8));
    textLabel->setText(QApplication::translate("TreeWidgetEditor", "&Text", 0, QApplication::UnicodeUTF8));
    itemTextLineEdit->setToolTip(QApplication::translate("TreeWidgetEditor", "Set Item Text", 0, QApplication::UnicodeUTF8));
    newItemButton->setToolTip(QApplication::translate("TreeWidgetEditor", "New Item", 0, QApplication::UnicodeUTF8));
    newItemButton->setText(QApplication::translate("TreeWidgetEditor", "&New Item", 0, QApplication::UnicodeUTF8));
    newSubItemButton->setToolTip(QApplication::translate("TreeWidgetEditor", "New Subitem", 0, QApplication::UnicodeUTF8));
    newSubItemButton->setText(QApplication::translate("TreeWidgetEditor", "New &Subitem", 0, QApplication::UnicodeUTF8));
    deleteItemButton->setToolTip(QApplication::translate("TreeWidgetEditor", "Delete Item", 0, QApplication::UnicodeUTF8));
    deleteItemButton->setText(QApplication::translate("TreeWidgetEditor", "&Delete Item", 0, QApplication::UnicodeUTF8));
    moveItemLeftButton->setToolTip(QApplication::translate("TreeWidgetEditor", "Move Item Left (before Parent Item)", 0, QApplication::UnicodeUTF8));
    moveItemLeftButton->setText(QApplication::translate("TreeWidgetEditor", "L", 0, QApplication::UnicodeUTF8));
    moveItemRightButton->setToolTip(QApplication::translate("TreeWidgetEditor", "Move Item Right (as a First Subitem of the Next Sibling Item)", 0, QApplication::UnicodeUTF8));
    moveItemRightButton->setText(QApplication::translate("TreeWidgetEditor", "R", 0, QApplication::UnicodeUTF8));
    moveItemUpButton->setToolTip(QApplication::translate("TreeWidgetEditor", "Move Item Up", 0, QApplication::UnicodeUTF8));
    moveItemUpButton->setText(QApplication::translate("TreeWidgetEditor", "U", 0, QApplication::UnicodeUTF8));
    moveItemDownButton->setToolTip(QApplication::translate("TreeWidgetEditor", "Move Item Down", 0, QApplication::UnicodeUTF8));
    moveItemDownButton->setText(QApplication::translate("TreeWidgetEditor", "D", 0, QApplication::UnicodeUTF8));
    treeWidget->setToolTip(QApplication::translate("TreeWidgetEditor", "Tree Items", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("TreeWidgetEditor", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("TreeWidgetEditor", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(TreeWidgetEditor);
    } // retranslateUi

};

namespace Ui {
    class TreeWidgetEditor: public Ui_TreeWidgetEditor {};
} // namespace Ui

#endif // UI_TREEWIDGETEDITOR_H
