/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Designer of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_FORMWINDOWSETTINGS_H
#define UI_FORMWINDOWSETTINGS_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QFrame>
#include <QtGui/QGridLayout>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QTextEdit>
#include <QtGui/QVBoxLayout>

class Ui_FormWindowSettings
{
public:
    QGridLayout *gridLayout;
    QSpacerItem *spacerItem;
    QHBoxLayout *hboxLayout;
    QGroupBox *pixmapFunctionGroupBox;
    QVBoxLayout *vboxLayout;
    QLineEdit *pixmapFunctionLineEdit;
    QGroupBox *includeHintsGroupBox;
    QVBoxLayout *vboxLayout1;
    QTextEdit *includeHintsTextEdit;
    QGroupBox *pixmapFunctionGroupBox_2;
    QVBoxLayout *vboxLayout2;
    QLineEdit *authorLineEdit;
    QHBoxLayout *hboxLayout1;
    QGroupBox *layoutDefaultGroupBox;
    QGridLayout *gridLayout1;
    QLabel *label_2;
    QLabel *label;
    QSpinBox *defaultSpacingSpinBox;
    QSpinBox *defaultMarginSpinBox;
    QGroupBox *layoutFunctionGroupBox;
    QGridLayout *gridLayout2;
    QLineEdit *spacingFunctionLineEdit;
    QLineEdit *marginFunctionLineEdit;
    QLabel *label_3;
    QLabel *label_3_2;
    QFrame *line;
    QHBoxLayout *hboxLayout2;
    QSpacerItem *spacerItem1;
    QPushButton *okButton;
    QPushButton *cancelButton;

    void setupUi(QDialog *FormWindowSettings)
    {
    FormWindowSettings->setObjectName(QString::fromUtf8("FormWindowSettings"));
    FormWindowSettings->resize(QSize(433, 465).expandedTo(FormWindowSettings->minimumSizeHint()));
    gridLayout = new QGridLayout(FormWindowSettings);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(8);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    spacerItem = new QSpacerItem(111, 115, QSizePolicy::Minimum, QSizePolicy::Expanding);

    gridLayout->addItem(spacerItem, 3, 1, 1, 1);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    pixmapFunctionGroupBox = new QGroupBox(FormWindowSettings);
    pixmapFunctionGroupBox->setObjectName(QString::fromUtf8("pixmapFunctionGroupBox"));
    pixmapFunctionGroupBox->setCheckable(true);
    vboxLayout = new QVBoxLayout(pixmapFunctionGroupBox);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(8);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    pixmapFunctionLineEdit = new QLineEdit(pixmapFunctionGroupBox);
    pixmapFunctionLineEdit->setObjectName(QString::fromUtf8("pixmapFunctionLineEdit"));

    vboxLayout->addWidget(pixmapFunctionLineEdit);


    hboxLayout->addWidget(pixmapFunctionGroupBox);


    gridLayout->addLayout(hboxLayout, 2, 1, 1, 1);

    includeHintsGroupBox = new QGroupBox(FormWindowSettings);
    includeHintsGroupBox->setObjectName(QString::fromUtf8("includeHintsGroupBox"));
    vboxLayout1 = new QVBoxLayout(includeHintsGroupBox);
    vboxLayout1->setSpacing(6);
    vboxLayout1->setMargin(8);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    includeHintsTextEdit = new QTextEdit(includeHintsGroupBox);
    includeHintsTextEdit->setObjectName(QString::fromUtf8("includeHintsTextEdit"));

    vboxLayout1->addWidget(includeHintsTextEdit);


    gridLayout->addWidget(includeHintsGroupBox, 2, 0, 2, 1);

    pixmapFunctionGroupBox_2 = new QGroupBox(FormWindowSettings);
    pixmapFunctionGroupBox_2->setObjectName(QString::fromUtf8("pixmapFunctionGroupBox_2"));
    vboxLayout2 = new QVBoxLayout(pixmapFunctionGroupBox_2);
    vboxLayout2->setSpacing(6);
    vboxLayout2->setMargin(8);
    vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
    authorLineEdit = new QLineEdit(pixmapFunctionGroupBox_2);
    authorLineEdit->setObjectName(QString::fromUtf8("authorLineEdit"));

    vboxLayout2->addWidget(authorLineEdit);


    gridLayout->addWidget(pixmapFunctionGroupBox_2, 0, 0, 1, 2);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    layoutDefaultGroupBox = new QGroupBox(FormWindowSettings);
    layoutDefaultGroupBox->setObjectName(QString::fromUtf8("layoutDefaultGroupBox"));
    layoutDefaultGroupBox->setCheckable(true);
    gridLayout1 = new QGridLayout(layoutDefaultGroupBox);
    gridLayout1->setSpacing(6);
    gridLayout1->setMargin(8);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    label_2 = new QLabel(layoutDefaultGroupBox);
    label_2->setObjectName(QString::fromUtf8("label_2"));

    gridLayout1->addWidget(label_2, 1, 0, 1, 1);

    label = new QLabel(layoutDefaultGroupBox);
    label->setObjectName(QString::fromUtf8("label"));

    gridLayout1->addWidget(label, 0, 0, 1, 1);

    defaultSpacingSpinBox = new QSpinBox(layoutDefaultGroupBox);
    defaultSpacingSpinBox->setObjectName(QString::fromUtf8("defaultSpacingSpinBox"));

    gridLayout1->addWidget(defaultSpacingSpinBox, 1, 1, 1, 1);

    defaultMarginSpinBox = new QSpinBox(layoutDefaultGroupBox);
    defaultMarginSpinBox->setObjectName(QString::fromUtf8("defaultMarginSpinBox"));

    gridLayout1->addWidget(defaultMarginSpinBox, 0, 1, 1, 1);


    hboxLayout1->addWidget(layoutDefaultGroupBox);

    layoutFunctionGroupBox = new QGroupBox(FormWindowSettings);
    layoutFunctionGroupBox->setObjectName(QString::fromUtf8("layoutFunctionGroupBox"));
    layoutFunctionGroupBox->setCheckable(true);
    gridLayout2 = new QGridLayout(layoutFunctionGroupBox);
    gridLayout2->setSpacing(6);
    gridLayout2->setMargin(8);
    gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
    spacingFunctionLineEdit = new QLineEdit(layoutFunctionGroupBox);
    spacingFunctionLineEdit->setObjectName(QString::fromUtf8("spacingFunctionLineEdit"));

    gridLayout2->addWidget(spacingFunctionLineEdit, 1, 1, 1, 1);

    marginFunctionLineEdit = new QLineEdit(layoutFunctionGroupBox);
    marginFunctionLineEdit->setObjectName(QString::fromUtf8("marginFunctionLineEdit"));

    gridLayout2->addWidget(marginFunctionLineEdit, 0, 1, 1, 1);

    label_3 = new QLabel(layoutFunctionGroupBox);
    label_3->setObjectName(QString::fromUtf8("label_3"));

    gridLayout2->addWidget(label_3, 0, 0, 1, 1);

    label_3_2 = new QLabel(layoutFunctionGroupBox);
    label_3_2->setObjectName(QString::fromUtf8("label_3_2"));

    gridLayout2->addWidget(label_3_2, 1, 0, 1, 1);


    hboxLayout1->addWidget(layoutFunctionGroupBox);


    gridLayout->addLayout(hboxLayout1, 1, 0, 1, 2);

    line = new QFrame(FormWindowSettings);
    line->setObjectName(QString::fromUtf8("line"));
    line->setFrameShape(QFrame::HLine);

    gridLayout->addWidget(line, 4, 0, 1, 2);

    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(6);
    hboxLayout2->setMargin(0);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    spacerItem1 = new QSpacerItem(131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout2->addItem(spacerItem1);

    okButton = new QPushButton(FormWindowSettings);
    okButton->setObjectName(QString::fromUtf8("okButton"));
    okButton->setDefault(true);

    hboxLayout2->addWidget(okButton);

    cancelButton = new QPushButton(FormWindowSettings);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout2->addWidget(cancelButton);


    gridLayout->addLayout(hboxLayout2, 5, 0, 1, 2);

    label_2->setBuddy(defaultSpacingSpinBox);
    label->setBuddy(defaultMarginSpinBox);
    label_3->setBuddy(marginFunctionLineEdit);
    label_3_2->setBuddy(spacingFunctionLineEdit);
    QWidget::setTabOrder(authorLineEdit, defaultMarginSpinBox);
    QWidget::setTabOrder(defaultMarginSpinBox, defaultSpacingSpinBox);
    QWidget::setTabOrder(defaultSpacingSpinBox, marginFunctionLineEdit);
    QWidget::setTabOrder(marginFunctionLineEdit, spacingFunctionLineEdit);
    QWidget::setTabOrder(spacingFunctionLineEdit, pixmapFunctionLineEdit);
    QWidget::setTabOrder(pixmapFunctionLineEdit, okButton);
    QWidget::setTabOrder(okButton, cancelButton);
    retranslateUi(FormWindowSettings);
    QObject::connect(okButton, SIGNAL(clicked()), FormWindowSettings, SLOT(accept()));
    QObject::connect(cancelButton, SIGNAL(clicked()), FormWindowSettings, SLOT(reject()));

    QMetaObject::connectSlotsByName(FormWindowSettings);
    } // setupUi

    void retranslateUi(QDialog *FormWindowSettings)
    {
    FormWindowSettings->setWindowTitle(QApplication::translate("FormWindowSettings", "Form Settings", 0, QApplication::UnicodeUTF8));
    pixmapFunctionGroupBox->setTitle(QApplication::translate("FormWindowSettings", "&Pixmap Function", 0, QApplication::UnicodeUTF8));
    includeHintsGroupBox->setTitle(QApplication::translate("FormWindowSettings", "&Include Hints", 0, QApplication::UnicodeUTF8));
    pixmapFunctionGroupBox_2->setTitle(QApplication::translate("FormWindowSettings", "&Author", 0, QApplication::UnicodeUTF8));
    layoutDefaultGroupBox->setTitle(QApplication::translate("FormWindowSettings", "Layout &Default", 0, QApplication::UnicodeUTF8));
    label_2->setText(QApplication::translate("FormWindowSettings", "&Spacing:", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("FormWindowSettings", "&Margin:", 0, QApplication::UnicodeUTF8));
    layoutFunctionGroupBox->setTitle(QApplication::translate("FormWindowSettings", "&Layout Function", 0, QApplication::UnicodeUTF8));
    label_3->setText(QApplication::translate("FormWindowSettings", "Ma&rgin:", 0, QApplication::UnicodeUTF8));
    label_3_2->setText(QApplication::translate("FormWindowSettings", "Spa&cing:", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("FormWindowSettings", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("FormWindowSettings", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(FormWindowSettings);
    } // retranslateUi

};

namespace Ui {
    class FormWindowSettings: public Ui_FormWindowSettings {};
} // namespace Ui

#endif // UI_FORMWINDOWSETTINGS_H
