/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Designer of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_NEWFORM_H
#define UI_NEWFORM_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QFrame>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QTreeWidget>
#include <QtGui/QVBoxLayout>

class Ui_NewForm
{
public:
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QTreeWidget *treeWidget;
    QLabel *lblPreview;
    QFrame *horizontalLine;
    QGridLayout *gridLayout;
    QPushButton *openButton;
    QSpacerItem *spacerItem;
    QPushButton *createButton;
    QPushButton *closeButton;
    QCheckBox *chkShowOnStartup;

    void setupUi(QDialog *NewForm)
    {
    NewForm->setObjectName(QString::fromUtf8("NewForm"));
    NewForm->resize(QSize(494, 300).expandedTo(NewForm->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(NewForm);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(9);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(1);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    treeWidget = new QTreeWidget(NewForm);
    treeWidget->setObjectName(QString::fromUtf8("treeWidget"));
    treeWidget->setGeometry(QRect(1, 1, 256, 205));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(7));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(treeWidget->sizePolicy().hasHeightForWidth());
    treeWidget->setSizePolicy(sizePolicy);
    treeWidget->setIconSize(QSize(128, 128));
    treeWidget->setRootIsDecorated(false);
    treeWidget->setColumnCount(1);

    hboxLayout->addWidget(treeWidget);

    lblPreview = new QLabel(NewForm);
    lblPreview->setObjectName(QString::fromUtf8("lblPreview"));
    lblPreview->setGeometry(QRect(263, 1, 212, 205));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(5));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(lblPreview->sizePolicy().hasHeightForWidth());
    lblPreview->setSizePolicy(sizePolicy1);
    lblPreview->setLineWidth(1);
    lblPreview->setAlignment(Qt::AlignCenter);
    lblPreview->setMargin(5);

    hboxLayout->addWidget(lblPreview);


    vboxLayout->addLayout(hboxLayout);

    horizontalLine = new QFrame(NewForm);
    horizontalLine->setObjectName(QString::fromUtf8("horizontalLine"));
    horizontalLine->setGeometry(QRect(9, 222, 476, 3));
    horizontalLine->setFrameShape(QFrame::HLine);
    horizontalLine->setFrameShadow(QFrame::Sunken);

    vboxLayout->addWidget(horizontalLine);

    gridLayout = new QGridLayout();
    gridLayout->setSpacing(6);
    gridLayout->setMargin(1);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    openButton = new QPushButton(NewForm);
    openButton->setObjectName(QString::fromUtf8("openButton"));
    openButton->setGeometry(QRect(1, 27, 103, 32));

    gridLayout->addWidget(openButton, 1, 0, 1, 1);

    spacerItem = new QSpacerItem(61, 32, QSizePolicy::Expanding, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem, 1, 1, 1, 1);

    createButton = new QPushButton(NewForm);
    createButton->setObjectName(QString::fromUtf8("createButton"));
    createButton->setEnabled(false);
    createButton->setGeometry(QRect(263, 27, 103, 32));
    createButton->setAutoDefault(false);
    createButton->setDefault(true);

    gridLayout->addWidget(createButton, 1, 2, 1, 1);

    closeButton = new QPushButton(NewForm);
    closeButton->setObjectName(QString::fromUtf8("closeButton"));
    closeButton->setGeometry(QRect(372, 27, 103, 32));
    closeButton->setAutoDefault(false);
    closeButton->setDefault(false);

    gridLayout->addWidget(closeButton, 1, 3, 1, 1);

    chkShowOnStartup = new QCheckBox(NewForm);
    chkShowOnStartup->setObjectName(QString::fromUtf8("chkShowOnStartup"));
    chkShowOnStartup->setGeometry(QRect(1, 1, 256, 20));

    gridLayout->addWidget(chkShowOnStartup, 0, 0, 1, 2);


    vboxLayout->addLayout(gridLayout);

    retranslateUi(NewForm);

    QMetaObject::connectSlotsByName(NewForm);
    } // setupUi

    void retranslateUi(QDialog *NewForm)
    {
    NewForm->setWindowTitle(QApplication::translate("NewForm", "New Form", 0, QApplication::UnicodeUTF8));
    treeWidget->headerItem()->setText(0, QApplication::translate("NewForm", "0", 0, QApplication::UnicodeUTF8));
    lblPreview->setText(QApplication::translate("NewForm", "Choose a template for a preview", 0, QApplication::UnicodeUTF8));
    openButton->setText(QApplication::translate("NewForm", "&Open...", 0, QApplication::UnicodeUTF8));
    createButton->setText(QApplication::translate("NewForm", "C&reate", 0, QApplication::UnicodeUTF8));
    closeButton->setText(QApplication::translate("NewForm", "&Close", 0, QApplication::UnicodeUTF8));
    chkShowOnStartup->setText(QApplication::translate("NewForm", "Show this Dialog on Startup", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(NewForm);
    } // retranslateUi

};

namespace Ui {
    class NewForm: public Ui_NewForm {};
} // namespace Ui

#endif // UI_NEWFORM_H
