/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Designer of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_PLUGINDIALOG_H
#define UI_PLUGINDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QTreeWidget>
#include <QtGui/QVBoxLayout>

class Ui_PluginDialog
{
public:
    QVBoxLayout *vboxLayout;
    QLabel *label;
    QTreeWidget *treeWidget;
    QLabel *message;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QPushButton *okButton;
    QSpacerItem *spacerItem1;

    void setupUi(QDialog *PluginDialog)
    {
    PluginDialog->setObjectName(QString::fromUtf8("PluginDialog"));
    PluginDialog->resize(QSize(401, 331).expandedTo(PluginDialog->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(PluginDialog);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(8);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    label = new QLabel(PluginDialog);
    label->setObjectName(QString::fromUtf8("label"));
    label->setWordWrap(true);

    vboxLayout->addWidget(label);

    treeWidget = new QTreeWidget(PluginDialog);
    treeWidget->setObjectName(QString::fromUtf8("treeWidget"));

    vboxLayout->addWidget(treeWidget);

    message = new QLabel(PluginDialog);
    message->setObjectName(QString::fromUtf8("message"));
    message->setWordWrap(true);

    vboxLayout->addWidget(message);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    okButton = new QPushButton(PluginDialog);
    okButton->setObjectName(QString::fromUtf8("okButton"));

    hboxLayout->addWidget(okButton);

    spacerItem1 = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem1);


    vboxLayout->addLayout(hboxLayout);

    retranslateUi(PluginDialog);
    QObject::connect(okButton, SIGNAL(clicked()), PluginDialog, SLOT(accept()));

    QMetaObject::connectSlotsByName(PluginDialog);
    } // setupUi

    void retranslateUi(QDialog *PluginDialog)
    {
    PluginDialog->setWindowTitle(QApplication::translate("PluginDialog", "Plugin Informations", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("PluginDialog", "TextLabel", 0, QApplication::UnicodeUTF8));
    message->setText(QApplication::translate("PluginDialog", "TextLabel", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("PluginDialog", "OK", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(PluginDialog);
    } // retranslateUi

};

namespace Ui {
    class PluginDialog: public Ui_PluginDialog {};
} // namespace Ui

#endif // UI_PLUGINDIALOG_H
