/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Designer of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_SAVEFORMASTEMPLATE_H
#define UI_SAVEFORMASTEMPLATE_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QFrame>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

class Ui_SaveFormAsTemplate
{
public:
    QVBoxLayout *vboxLayout;
    QGridLayout *gridLayout;
    QLineEdit *templateNameEdit;
    QComboBox *categoryCombo;
    QLabel *label_2;
    QLabel *label;
    QSpacerItem *spacerItem;
    QFrame *horizontalLine;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem1;
    QPushButton *okButton;
    QPushButton *cancelButton;

    void setupUi(QDialog *SaveFormAsTemplate)
    {
    SaveFormAsTemplate->setObjectName(QString::fromUtf8("SaveFormAsTemplate"));
    SaveFormAsTemplate->resize(QSize(391, 149).expandedTo(SaveFormAsTemplate->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(SaveFormAsTemplate);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(9);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    gridLayout = new QGridLayout();
    gridLayout->setSpacing(6);
    gridLayout->setMargin(1);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    templateNameEdit = new QLineEdit(SaveFormAsTemplate);
    templateNameEdit->setObjectName(QString::fromUtf8("templateNameEdit"));
    templateNameEdit->setGeometry(QRect(67, 1, 285, 22));
    templateNameEdit->setEchoMode(QLineEdit::Normal);

    gridLayout->addWidget(templateNameEdit, 0, 1, 1, 1);

    categoryCombo = new QComboBox(SaveFormAsTemplate);
    categoryCombo->setObjectName(QString::fromUtf8("categoryCombo"));
    categoryCombo->setGeometry(QRect(67, 29, 285, 26));

    gridLayout->addWidget(categoryCombo, 1, 1, 1, 1);

    label_2 = new QLabel(SaveFormAsTemplate);
    label_2->setObjectName(QString::fromUtf8("label_2"));
    label_2->setGeometry(QRect(1, 29, 60, 26));
    label_2->setFrameShape(QFrame::NoFrame);
    label_2->setFrameShadow(QFrame::Plain);
    label_2->setTextFormat(Qt::AutoText);

    gridLayout->addWidget(label_2, 1, 0, 1, 1);

    label = new QLabel(SaveFormAsTemplate);
    label->setObjectName(QString::fromUtf8("label"));
    label->setGeometry(QRect(1, 1, 60, 22));
    label->setFrameShape(QFrame::NoFrame);
    label->setFrameShadow(QFrame::Plain);
    label->setTextFormat(Qt::AutoText);

    gridLayout->addWidget(label, 0, 0, 1, 1);


    vboxLayout->addLayout(gridLayout);

    spacerItem = new QSpacerItem(20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem);

    horizontalLine = new QFrame(SaveFormAsTemplate);
    horizontalLine->setObjectName(QString::fromUtf8("horizontalLine"));
    horizontalLine->setGeometry(QRect(9, 97, 373, 3));
    horizontalLine->setFrameShape(QFrame::HLine);
    horizontalLine->setFrameShadow(QFrame::Sunken);

    vboxLayout->addWidget(horizontalLine);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(1);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem1 = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem1);

    okButton = new QPushButton(SaveFormAsTemplate);
    okButton->setObjectName(QString::fromUtf8("okButton"));
    okButton->setGeometry(QRect(204, 1, 81, 32));
    okButton->setDefault(true);

    hboxLayout->addWidget(okButton);

    cancelButton = new QPushButton(SaveFormAsTemplate);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
    cancelButton->setGeometry(QRect(291, 1, 81, 32));

    hboxLayout->addWidget(cancelButton);


    vboxLayout->addLayout(hboxLayout);

    label_2->setBuddy(categoryCombo);
    label->setBuddy(templateNameEdit);
    retranslateUi(SaveFormAsTemplate);

    QMetaObject::connectSlotsByName(SaveFormAsTemplate);
    } // setupUi

    void retranslateUi(QDialog *SaveFormAsTemplate)
    {
    SaveFormAsTemplate->setWindowTitle(QApplication::translate("SaveFormAsTemplate", "Save Form As Template...", 0, QApplication::UnicodeUTF8));
    templateNameEdit->setText(QApplication::translate("SaveFormAsTemplate", "", 0, QApplication::UnicodeUTF8));
    label_2->setText(QApplication::translate("SaveFormAsTemplate", "&Category:", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("SaveFormAsTemplate", "&Name:", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("SaveFormAsTemplate", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("SaveFormAsTemplate", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(SaveFormAsTemplate);
    } // retranslateUi

};

namespace Ui {
    class SaveFormAsTemplate: public Ui_SaveFormAsTemplate {};
} // namespace Ui

#endif // UI_SAVEFORMASTEMPLATE_H
