/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Designer of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_FINDICONDIALOG_H
#define UI_FINDICONDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QFrame>
#include <QtGui/QHBoxLayout>
#include <QtGui/QListWidget>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QStackedWidget>
#include <QtGui/QToolButton>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

class Ui_FindIconDialog
{
public:
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QRadioButton *m_specify_file_input;
    QRadioButton *m_specify_resource_input;
    QFrame *line;
    QStackedWidget *m_widget_stack;
    QWidget *page;
    QVBoxLayout *vboxLayout1;
    QHBoxLayout *hboxLayout1;
    QComboBox *m_file_input;
    QToolButton *m_cd_up_button;
    QListWidget *m_icon_view;
    QWidget *page1;
    QFrame *line_2;
    QHBoxLayout *hboxLayout2;
    QSpacerItem *spacerItem;
    QPushButton *m_ok_button;
    QPushButton *m_cancel_button;

    void setupUi(QDialog *FindIconDialog)
    {
    FindIconDialog->setObjectName(QString::fromUtf8("FindIconDialog"));
    FindIconDialog->resize(QSize(399, 419).expandedTo(FindIconDialog->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(FindIconDialog);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(9);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    m_specify_file_input = new QRadioButton(FindIconDialog);
    m_specify_file_input->setObjectName(QString::fromUtf8("m_specify_file_input"));
    m_specify_file_input->setChecked(true);

    hboxLayout->addWidget(m_specify_file_input);

    m_specify_resource_input = new QRadioButton(FindIconDialog);
    m_specify_resource_input->setObjectName(QString::fromUtf8("m_specify_resource_input"));

    hboxLayout->addWidget(m_specify_resource_input);


    vboxLayout->addLayout(hboxLayout);

    line = new QFrame(FindIconDialog);
    line->setObjectName(QString::fromUtf8("line"));
    line->setFrameShape(QFrame::HLine);

    vboxLayout->addWidget(line);

    m_widget_stack = new QStackedWidget(FindIconDialog);
    m_widget_stack->setObjectName(QString::fromUtf8("m_widget_stack"));
    page = new QWidget();
    page->setObjectName(QString::fromUtf8("page"));
    vboxLayout1 = new QVBoxLayout(page);
    vboxLayout1->setSpacing(6);
    vboxLayout1->setMargin(9);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    m_file_input = new QComboBox(page);
    m_file_input->setObjectName(QString::fromUtf8("m_file_input"));
    m_file_input->setEditable(true);
    m_file_input->setInsertPolicy(QComboBox::NoInsert);
    m_file_input->setAutoCompletion(false);

    hboxLayout1->addWidget(m_file_input);

    m_cd_up_button = new QToolButton(page);
    m_cd_up_button->setObjectName(QString::fromUtf8("m_cd_up_button"));
    m_cd_up_button->setIcon(QIcon(QString::fromUtf8(":/trolltech/formeditor/images/win/up.png")));

    hboxLayout1->addWidget(m_cd_up_button);


    vboxLayout1->addLayout(hboxLayout1);

    m_icon_view = new QListWidget(page);
    m_icon_view->setObjectName(QString::fromUtf8("m_icon_view"));
    m_icon_view->setIconSize(QSize(24, 24));

    vboxLayout1->addWidget(m_icon_view);

    m_widget_stack->addWidget(page);
    page1 = new QWidget();
    page1->setObjectName(QString::fromUtf8("page1"));
    m_widget_stack->addWidget(page1);

    vboxLayout->addWidget(m_widget_stack);

    line_2 = new QFrame(FindIconDialog);
    line_2->setObjectName(QString::fromUtf8("line_2"));
    line_2->setFrameShape(QFrame::HLine);

    vboxLayout->addWidget(line_2);

    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(6);
    hboxLayout2->setMargin(1);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    spacerItem = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout2->addItem(spacerItem);

    m_ok_button = new QPushButton(FindIconDialog);
    m_ok_button->setObjectName(QString::fromUtf8("m_ok_button"));
    m_ok_button->setEnabled(false);
    m_ok_button->setDefault(true);

    hboxLayout2->addWidget(m_ok_button);

    m_cancel_button = new QPushButton(FindIconDialog);
    m_cancel_button->setObjectName(QString::fromUtf8("m_cancel_button"));

    hboxLayout2->addWidget(m_cancel_button);


    vboxLayout->addLayout(hboxLayout2);

    retranslateUi(FindIconDialog);

    m_widget_stack->setCurrentIndex(0);


    QMetaObject::connectSlotsByName(FindIconDialog);
    } // setupUi

    void retranslateUi(QDialog *FindIconDialog)
    {
    FindIconDialog->setWindowTitle(QApplication::translate("FindIconDialog", "Find Icon", 0, QApplication::UnicodeUTF8));
    m_specify_file_input->setText(QApplication::translate("FindIconDialog", "Specify image file", 0, QApplication::UnicodeUTF8));
    m_specify_resource_input->setText(QApplication::translate("FindIconDialog", "Specify resource", 0, QApplication::UnicodeUTF8));
    m_cd_up_button->setText(QApplication::translate("FindIconDialog", "Parent directory", 0, QApplication::UnicodeUTF8));
    m_ok_button->setText(QApplication::translate("FindIconDialog", "OK", 0, QApplication::UnicodeUTF8));
    m_cancel_button->setText(QApplication::translate("FindIconDialog", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(FindIconDialog);
    } // retranslateUi

};

namespace Ui {
    class FindIconDialog: public Ui_FindIconDialog {};
} // namespace Ui

#endif // UI_FINDICONDIALOG_H
