/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Designer of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_PROMOTETOCUSTOMWIDGETDIALOG_H
#define UI_PROMOTETOCUSTOMWIDGETDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QFrame>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

class Ui_PromoteToCustomWidgetDialog
{
public:
    QVBoxLayout *vboxLayout;
    QGridLayout *gridLayout;
    QLabel *label;
    QLineEdit *m_header_file_input;
    QComboBox *m_class_name_input;
    QLabel *m_base_class_name_label;
    QLabel *label_3;
    QLabel *label_2;
    QSpacerItem *spacerItem;
    QFrame *horizontalLine;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem1;
    QPushButton *m_ok_button;
    QPushButton *m_cancel_button;

    void setupUi(QDialog *PromoteToCustomWidgetDialog)
    {
    PromoteToCustomWidgetDialog->setObjectName(QString::fromUtf8("PromoteToCustomWidgetDialog"));
    PromoteToCustomWidgetDialog->resize(QSize(400, 156).expandedTo(PromoteToCustomWidgetDialog->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(PromoteToCustomWidgetDialog);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(9);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    vboxLayout->setObjectName(QString::fromUtf8(""));
    gridLayout = new QGridLayout();
    gridLayout->setSpacing(6);
    gridLayout->setMargin(1);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    gridLayout->setObjectName(QString::fromUtf8(""));
    label = new QLabel(PromoteToCustomWidgetDialog);
    label->setObjectName(QString::fromUtf8("label"));
    label->setGeometry(QRect(1, 21, 114, 21));
    label->setFrameShape(QFrame::NoFrame);
    label->setFrameShadow(QFrame::Plain);
    label->setTextFormat(Qt::AutoText);

    gridLayout->addWidget(label, 1, 0, 1, 1);

    m_header_file_input = new QLineEdit(PromoteToCustomWidgetDialog);
    m_header_file_input->setObjectName(QString::fromUtf8("m_header_file_input"));
    m_header_file_input->setGeometry(QRect(121, 48, 260, 19));
    m_header_file_input->setEchoMode(QLineEdit::Normal);

    gridLayout->addWidget(m_header_file_input, 2, 1, 1, 1);

    m_class_name_input = new QComboBox(PromoteToCustomWidgetDialog);
    m_class_name_input->setObjectName(QString::fromUtf8("m_class_name_input"));
    m_class_name_input->setGeometry(QRect(121, 21, 260, 21));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(m_class_name_input->sizePolicy().hasHeightForWidth());
    m_class_name_input->setSizePolicy(sizePolicy);
    m_class_name_input->setEditable(true);
    m_class_name_input->setInsertPolicy(QComboBox::NoInsert);

    gridLayout->addWidget(m_class_name_input, 1, 1, 1, 1);

    m_base_class_name_label = new QLabel(PromoteToCustomWidgetDialog);
    m_base_class_name_label->setObjectName(QString::fromUtf8("m_base_class_name_label"));
    m_base_class_name_label->setGeometry(QRect(121, 1, 260, 14));
    QFont font;
    font.setFamily(QString::fromUtf8("Sans Serif"));
    font.setPointSize(9);
    font.setBold(true);
    font.setItalic(false);
    font.setUnderline(false);
    font.setWeight(75);
    font.setStrikeOut(false);
    m_base_class_name_label->setFont(font);
    m_base_class_name_label->setFrameShape(QFrame::NoFrame);
    m_base_class_name_label->setFrameShadow(QFrame::Plain);
    m_base_class_name_label->setTextFormat(Qt::AutoText);

    gridLayout->addWidget(m_base_class_name_label, 0, 1, 1, 1);

    label_3 = new QLabel(PromoteToCustomWidgetDialog);
    label_3->setObjectName(QString::fromUtf8("label_3"));
    label_3->setGeometry(QRect(1, 1, 114, 14));
    label_3->setFrameShape(QFrame::NoFrame);
    label_3->setFrameShadow(QFrame::Plain);
    label_3->setTextFormat(Qt::AutoText);

    gridLayout->addWidget(label_3, 0, 0, 1, 1);

    label_2 = new QLabel(PromoteToCustomWidgetDialog);
    label_2->setObjectName(QString::fromUtf8("label_2"));
    label_2->setGeometry(QRect(1, 48, 114, 19));
    label_2->setFrameShape(QFrame::NoFrame);
    label_2->setFrameShadow(QFrame::Plain);
    label_2->setTextFormat(Qt::AutoText);

    gridLayout->addWidget(label_2, 2, 0, 1, 1);


    vboxLayout->addLayout(gridLayout);

    spacerItem = new QSpacerItem(382, 21, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem);

    horizontalLine = new QFrame(PromoteToCustomWidgetDialog);
    horizontalLine->setObjectName(QString::fromUtf8("horizontalLine"));
    horizontalLine->setGeometry(QRect(9, 111, 382, 3));
    horizontalLine->setFrameShape(QFrame::HLine);
    horizontalLine->setFrameShadow(QFrame::Sunken);

    vboxLayout->addWidget(horizontalLine);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(1);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    hboxLayout->setObjectName(QString::fromUtf8(""));
    spacerItem1 = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem1);

    m_ok_button = new QPushButton(PromoteToCustomWidgetDialog);
    m_ok_button->setObjectName(QString::fromUtf8("m_ok_button"));
    m_ok_button->setGeometry(QRect(304, 1, 77, 25));
    m_ok_button->setDefault(true);

    hboxLayout->addWidget(m_ok_button);

    m_cancel_button = new QPushButton(PromoteToCustomWidgetDialog);
    m_cancel_button->setObjectName(QString::fromUtf8("m_cancel_button"));
    m_cancel_button->setGeometry(QRect(223, 2, 75, 23));

    hboxLayout->addWidget(m_cancel_button);


    vboxLayout->addLayout(hboxLayout);

    retranslateUi(PromoteToCustomWidgetDialog);

    QMetaObject::connectSlotsByName(PromoteToCustomWidgetDialog);
    } // setupUi

    void retranslateUi(QDialog *PromoteToCustomWidgetDialog)
    {
    PromoteToCustomWidgetDialog->setWindowTitle(QApplication::translate("PromoteToCustomWidgetDialog", "Promote to Custom Widget", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("PromoteToCustomWidgetDialog", "Custom class name:", 0, QApplication::UnicodeUTF8));
    m_header_file_input->setText(QApplication::translate("PromoteToCustomWidgetDialog", "", 0, QApplication::UnicodeUTF8));
    m_base_class_name_label->setText(QApplication::translate("PromoteToCustomWidgetDialog", "", 0, QApplication::UnicodeUTF8));
    label_3->setText(QApplication::translate("PromoteToCustomWidgetDialog", "Base class name:", 0, QApplication::UnicodeUTF8));
    label_2->setText(QApplication::translate("PromoteToCustomWidgetDialog", "Header file:", 0, QApplication::UnicodeUTF8));
    m_ok_button->setText(QApplication::translate("PromoteToCustomWidgetDialog", "OK", 0, QApplication::UnicodeUTF8));
    m_cancel_button->setText(QApplication::translate("PromoteToCustomWidgetDialog", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(PromoteToCustomWidgetDialog);
    } // retranslateUi

};

namespace Ui {
    class PromoteToCustomWidgetDialog: public Ui_PromoteToCustomWidgetDialog {};
} // namespace Ui

#endif // UI_PROMOTETOCUSTOMWIDGETDIALOG_H
