/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Designer of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_RESOURCEEDITOR_H
#define UI_RESOURCEEDITOR_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QStackedWidget>
#include <QtGui/QToolButton>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

class Ui_ResourceEditor
{
public:
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QLabel *label;
    QComboBox *m_qrc_combo;
    QToolButton *m_remove_qrc_button;
    QStackedWidget *m_qrc_stack;
    QHBoxLayout *hboxLayout1;
    QSpacerItem *spacerItem;
    QToolButton *m_add_button;
    QToolButton *m_remove_button;
    QPushButton *m_add_files_button;

    void setupUi(QWidget *ResourceEditor)
    {
    ResourceEditor->setObjectName(QString::fromUtf8("ResourceEditor"));
    ResourceEditor->resize(QSize(400, 300).expandedTo(ResourceEditor->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(ResourceEditor);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(8);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(1);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    label = new QLabel(ResourceEditor);
    label->setObjectName(QString::fromUtf8("label"));
    label->setGeometry(QRect(2, 2, 107, 24));

    hboxLayout->addWidget(label);

    m_qrc_combo = new QComboBox(ResourceEditor);
    m_qrc_combo->setObjectName(QString::fromUtf8("m_qrc_combo"));
    m_qrc_combo->setGeometry(QRect(115, 3, 233, 22));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(0));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(m_qrc_combo->sizePolicy().hasHeightForWidth());
    m_qrc_combo->setSizePolicy(sizePolicy);
    m_qrc_combo->setInsertPolicy(QComboBox::NoInsert);

    hboxLayout->addWidget(m_qrc_combo);

    m_remove_qrc_button = new QToolButton(ResourceEditor);
    m_remove_qrc_button->setObjectName(QString::fromUtf8("m_remove_qrc_button"));
    m_remove_qrc_button->setGeometry(QRect(354, 2, 26, 24));

    hboxLayout->addWidget(m_remove_qrc_button);


    vboxLayout->addLayout(hboxLayout);

    m_qrc_stack = new QStackedWidget(ResourceEditor);
    m_qrc_stack->setObjectName(QString::fromUtf8("m_qrc_stack"));
    m_qrc_stack->setGeometry(QRect(9, 43, 382, 214));

    vboxLayout->addWidget(m_qrc_stack);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    spacerItem = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout1->addItem(spacerItem);

    m_add_button = new QToolButton(ResourceEditor);
    m_add_button->setObjectName(QString::fromUtf8("m_add_button"));
    m_add_button->setGeometry(QRect(236, 2, 26, 24));

    hboxLayout1->addWidget(m_add_button);

    m_remove_button = new QToolButton(ResourceEditor);
    m_remove_button->setObjectName(QString::fromUtf8("m_remove_button"));
    m_remove_button->setGeometry(QRect(268, 2, 22, 24));

    hboxLayout1->addWidget(m_remove_button);

    m_add_files_button = new QPushButton(ResourceEditor);
    m_add_files_button->setObjectName(QString::fromUtf8("m_add_files_button"));
    m_add_files_button->setGeometry(QRect(296, 1, 85, 26));

    hboxLayout1->addWidget(m_add_files_button);


    vboxLayout->addLayout(hboxLayout1);

    retranslateUi(ResourceEditor);

    m_qrc_stack->setCurrentIndex(-1);


    QMetaObject::connectSlotsByName(ResourceEditor);
    } // setupUi

    void retranslateUi(QWidget *ResourceEditor)
    {
    ResourceEditor->setWindowTitle(QApplication::translate("ResourceEditor", "Resource editor", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("ResourceEditor", "Current Resource:", 0, QApplication::UnicodeUTF8));
    m_remove_qrc_button->setText(QApplication::translate("ResourceEditor", "...", 0, QApplication::UnicodeUTF8));
    m_add_button->setText(QApplication::translate("ResourceEditor", "+", 0, QApplication::UnicodeUTF8));
    m_remove_button->setText(QApplication::translate("ResourceEditor", "-", 0, QApplication::UnicodeUTF8));
    m_add_files_button->setText(QApplication::translate("ResourceEditor", "&Add Files...", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(ResourceEditor);
    } // retranslateUi

};

namespace Ui {
    class ResourceEditor: public Ui_ResourceEditor {};
} // namespace Ui

#endif // UI_RESOURCEEDITOR_H
