/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Linguist of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_ABOUT_H
#define UI_ABOUT_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

class Ui_AboutDialog
{
public:
    QVBoxLayout *vboxLayout;
    QLabel *PixmapLabel1;
    QLabel *versionLabel;
    QLabel *infoText;
    QSpacerItem *spacerItem;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem1;
    QPushButton *PushButton1;
    QSpacerItem *spacerItem2;

    void setupUi(QDialog *AboutDialog)
    {
    AboutDialog->setObjectName(QString::fromUtf8("AboutDialog"));
    AboutDialog->resize(QSize(400, 311).expandedTo(AboutDialog->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(AboutDialog);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(11);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    vboxLayout->setSizeConstraint(QLayout::SetMinimumSize);
    PixmapLabel1 = new QLabel(AboutDialog);
    PixmapLabel1->setObjectName(QString::fromUtf8("PixmapLabel1"));
    PixmapLabel1->setFrameShape(QFrame::NoFrame);
    PixmapLabel1->setFrameShadow(QFrame::Plain);
    PixmapLabel1->setScaledContents(false);
    PixmapLabel1->setAlignment(Qt::AlignCenter);

    vboxLayout->addWidget(PixmapLabel1);

    versionLabel = new QLabel(AboutDialog);
    versionLabel->setObjectName(QString::fromUtf8("versionLabel"));
    versionLabel->setAlignment(Qt::AlignCenter);

    vboxLayout->addWidget(versionLabel);

    infoText = new QLabel(AboutDialog);
    infoText->setObjectName(QString::fromUtf8("infoText"));
    infoText->setWordWrap(true);

    vboxLayout->addWidget(infoText);

    spacerItem = new QSpacerItem(20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem1 = new QSpacerItem(20, 40, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem1);

    PushButton1 = new QPushButton(AboutDialog);
    PushButton1->setObjectName(QString::fromUtf8("PushButton1"));
    PushButton1->setAutoDefault(true);
    PushButton1->setDefault(true);

    hboxLayout->addWidget(PushButton1);

    spacerItem2 = new QSpacerItem(20, 40, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem2);


    vboxLayout->addLayout(hboxLayout);

    retranslateUi(AboutDialog);

    QMetaObject::connectSlotsByName(AboutDialog);
    } // setupUi

    void retranslateUi(QDialog *AboutDialog)
    {
    AboutDialog->setWindowTitle(QApplication::translate("AboutDialog", "Qt Linguist", 0, QApplication::UnicodeUTF8));
    infoText->setText(QApplication::translate("AboutDialog", "", 0, QApplication::UnicodeUTF8));
    PushButton1->setText(QApplication::translate("AboutDialog", "OK", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(AboutDialog);
    } // retranslateUi

};

namespace Ui {
    class AboutDialog: public Ui_AboutDialog {};
} // namespace Ui

#endif // UI_ABOUT_H
