/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Linguist of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_FINDDIALOG_H
#define UI_FINDDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

class Ui_FindDialog
{
public:
    QHBoxLayout *hboxLayout;
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout1;
    QLabel *findWhat;
    QLineEdit *led;
    QGroupBox *groupBox;
    QGridLayout *gridLayout;
    QCheckBox *sourceText;
    QCheckBox *translations;
    QCheckBox *matchCase;
    QCheckBox *comments;
    QVBoxLayout *vboxLayout1;
    QPushButton *findNxt;
    QPushButton *cancel;
    QSpacerItem *spacerItem;

    void setupUi(QDialog *FindDialog)
    {
    FindDialog->setObjectName(QString::fromUtf8("FindDialog"));
    FindDialog->resize(QSize(414, 139).expandedTo(FindDialog->minimumSizeHint()));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(4));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(FindDialog->sizePolicy().hasHeightForWidth());
    FindDialog->setSizePolicy(sizePolicy);
    hboxLayout = new QHBoxLayout(FindDialog);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(11);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    vboxLayout = new QVBoxLayout();
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(0);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    findWhat = new QLabel(FindDialog);
    findWhat->setObjectName(QString::fromUtf8("findWhat"));

    hboxLayout1->addWidget(findWhat);

    led = new QLineEdit(FindDialog);
    led->setObjectName(QString::fromUtf8("led"));

    hboxLayout1->addWidget(led);


    vboxLayout->addLayout(hboxLayout1);

    groupBox = new QGroupBox(FindDialog);
    groupBox->setObjectName(QString::fromUtf8("groupBox"));
    gridLayout = new QGridLayout(groupBox);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(9);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    sourceText = new QCheckBox(groupBox);
    sourceText->setObjectName(QString::fromUtf8("sourceText"));
    sourceText->setChecked(true);

    gridLayout->addWidget(sourceText, 1, 0, 1, 1);

    translations = new QCheckBox(groupBox);
    translations->setObjectName(QString::fromUtf8("translations"));
    translations->setChecked(true);

    gridLayout->addWidget(translations, 2, 0, 1, 1);

    matchCase = new QCheckBox(groupBox);
    matchCase->setObjectName(QString::fromUtf8("matchCase"));

    gridLayout->addWidget(matchCase, 0, 1, 1, 1);

    comments = new QCheckBox(groupBox);
    comments->setObjectName(QString::fromUtf8("comments"));
    comments->setChecked(true);

    gridLayout->addWidget(comments, 0, 0, 1, 1);


    vboxLayout->addWidget(groupBox);


    hboxLayout->addLayout(vboxLayout);

    vboxLayout1 = new QVBoxLayout();
    vboxLayout1->setSpacing(6);
    vboxLayout1->setMargin(0);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    findNxt = new QPushButton(FindDialog);
    findNxt->setObjectName(QString::fromUtf8("findNxt"));
    findNxt->setDefault(true);
    findNxt->setFlat(false);

    vboxLayout1->addWidget(findNxt);

    cancel = new QPushButton(FindDialog);
    cancel->setObjectName(QString::fromUtf8("cancel"));

    vboxLayout1->addWidget(cancel);

    spacerItem = new QSpacerItem(20, 51, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout1->addItem(spacerItem);


    hboxLayout->addLayout(vboxLayout1);

    findWhat->setBuddy(led);
    QWidget::setTabOrder(led, findNxt);
    QWidget::setTabOrder(findNxt, cancel);
    QWidget::setTabOrder(cancel, comments);
    QWidget::setTabOrder(comments, sourceText);
    QWidget::setTabOrder(sourceText, translations);
    QWidget::setTabOrder(translations, matchCase);
    retranslateUi(FindDialog);
    QObject::connect(cancel, SIGNAL(clicked()), FindDialog, SLOT(reject()));

    QMetaObject::connectSlotsByName(FindDialog);
    } // setupUi

    void retranslateUi(QDialog *FindDialog)
    {
    FindDialog->setWindowTitle(QApplication::translate("FindDialog", "Qt Linguist", 0, QApplication::UnicodeUTF8));
    FindDialog->setWhatsThis(QApplication::translate("FindDialog", "This window allows you to search for some text in the translation source file.", 0, QApplication::UnicodeUTF8));
    findWhat->setText(QApplication::translate("FindDialog", "Find what:", 0, QApplication::UnicodeUTF8));
    led->setWhatsThis(QApplication::translate("FindDialog", "Type in the text to search for.", 0, QApplication::UnicodeUTF8));
    groupBox->setTitle(QApplication::translate("FindDialog", "Options", 0, QApplication::UnicodeUTF8));
    sourceText->setWhatsThis(QApplication::translate("FindDialog", "Source texts are searched when checked.", 0, QApplication::UnicodeUTF8));
    sourceText->setText(QApplication::translate("FindDialog", "Source texts", 0, QApplication::UnicodeUTF8));
    translations->setWhatsThis(QApplication::translate("FindDialog", "Translations are searched when checked.", 0, QApplication::UnicodeUTF8));
    translations->setText(QApplication::translate("FindDialog", "Translations", 0, QApplication::UnicodeUTF8));
    matchCase->setWhatsThis(QApplication::translate("FindDialog", "Texts such as 'TeX' and 'tex' are considered as different when checked.", 0, QApplication::UnicodeUTF8));
    matchCase->setText(QApplication::translate("FindDialog", "Match case", 0, QApplication::UnicodeUTF8));
    comments->setWhatsThis(QApplication::translate("FindDialog", "Comments and contexts are searched when checked.", 0, QApplication::UnicodeUTF8));
    comments->setText(QApplication::translate("FindDialog", "Comments", 0, QApplication::UnicodeUTF8));
    findNxt->setWhatsThis(QApplication::translate("FindDialog", "Click here to find the next occurrence of the text you typed in.", 0, QApplication::UnicodeUTF8));
    findNxt->setText(QApplication::translate("FindDialog", "Find Next", 0, QApplication::UnicodeUTF8));
    cancel->setWhatsThis(QApplication::translate("FindDialog", "Click here to close this window.", 0, QApplication::UnicodeUTF8));
    cancel->setText(QApplication::translate("FindDialog", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(FindDialog);
    } // retranslateUi

};

namespace Ui {
    class FindDialog: public Ui_FindDialog {};
} // namespace Ui

#endif // UI_FINDDIALOG_H
