/*
*********************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the Qt Linguist of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
*********************************************************************
*/

#ifndef UI_PHRASEBOOKBOX_H
#define UI_PHRASEBOOKBOX_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QTreeView>
#include <QtGui/QVBoxLayout>

class Ui_PhraseBookBox
{
public:
    QHBoxLayout *hboxLayout;
    QVBoxLayout *vboxLayout;
    QGridLayout *gridLayout;
    QLabel *target;
    QLineEdit *targetLed;
    QLabel *source;
    QLineEdit *definitionLed;
    QLineEdit *sourceLed;
    QLabel *definition;
    QTreeView *phraseList;
    QVBoxLayout *vboxLayout1;
    QPushButton *newBut;
    QPushButton *removeBut;
    QPushButton *saveBut;
    QPushButton *closeBut;
    QSpacerItem *spacerItem;

    void setupUi(QDialog *PhraseBookBox)
    {
    PhraseBookBox->setObjectName(QString::fromUtf8("PhraseBookBox"));
    PhraseBookBox->setObjectName(QString::fromUtf8("phrase book box"));
    PhraseBookBox->resize(QSize(604, 480).expandedTo(PhraseBookBox->minimumSizeHint()));
    hboxLayout = new QHBoxLayout(PhraseBookBox);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(11);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    hboxLayout->setObjectName(QString::fromUtf8("unnamed"));
    vboxLayout = new QVBoxLayout();
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(11);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    vboxLayout->setObjectName(QString::fromUtf8("unnamed"));
    gridLayout = new QGridLayout();
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    gridLayout->setObjectName(QString::fromUtf8("unnamed"));
    target = new QLabel(PhraseBookBox);
    target->setObjectName(QString::fromUtf8("target"));

    gridLayout->addWidget(target, 1, 0, 1, 1);

    targetLed = new QLineEdit(PhraseBookBox);
    targetLed->setObjectName(QString::fromUtf8("targetLed"));

    gridLayout->addWidget(targetLed, 1, 1, 1, 1);

    source = new QLabel(PhraseBookBox);
    source->setObjectName(QString::fromUtf8("source"));

    gridLayout->addWidget(source, 0, 0, 1, 1);

    definitionLed = new QLineEdit(PhraseBookBox);
    definitionLed->setObjectName(QString::fromUtf8("definitionLed"));

    gridLayout->addWidget(definitionLed, 2, 1, 1, 1);

    sourceLed = new QLineEdit(PhraseBookBox);
    sourceLed->setObjectName(QString::fromUtf8("sourceLed"));

    gridLayout->addWidget(sourceLed, 0, 1, 1, 1);

    definition = new QLabel(PhraseBookBox);
    definition->setObjectName(QString::fromUtf8("definition"));

    gridLayout->addWidget(definition, 2, 0, 1, 1);


    vboxLayout->addLayout(gridLayout);

    phraseList = new QTreeView(PhraseBookBox);
    phraseList->setObjectName(QString::fromUtf8("phraseList"));
    phraseList->setObjectName(QString::fromUtf8("phraseTable"));

    vboxLayout->addWidget(phraseList);


    hboxLayout->addLayout(vboxLayout);

    vboxLayout1 = new QVBoxLayout();
    vboxLayout1->setSpacing(6);
    vboxLayout1->setMargin(11);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    vboxLayout1->setObjectName(QString::fromUtf8("unnamed"));
    newBut = new QPushButton(PhraseBookBox);
    newBut->setObjectName(QString::fromUtf8("newBut"));

    vboxLayout1->addWidget(newBut);

    removeBut = new QPushButton(PhraseBookBox);
    removeBut->setObjectName(QString::fromUtf8("removeBut"));

    vboxLayout1->addWidget(removeBut);

    saveBut = new QPushButton(PhraseBookBox);
    saveBut->setObjectName(QString::fromUtf8("saveBut"));

    vboxLayout1->addWidget(saveBut);

    closeBut = new QPushButton(PhraseBookBox);
    closeBut->setObjectName(QString::fromUtf8("closeBut"));

    vboxLayout1->addWidget(closeBut);

    spacerItem = new QSpacerItem(20, 51, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout1->addItem(spacerItem);


    hboxLayout->addLayout(vboxLayout1);

    QWidget::setTabOrder(sourceLed, targetLed);
    QWidget::setTabOrder(targetLed, definitionLed);
    QWidget::setTabOrder(definitionLed, phraseList);
    QWidget::setTabOrder(phraseList, newBut);
    QWidget::setTabOrder(newBut, removeBut);
    QWidget::setTabOrder(removeBut, saveBut);
    QWidget::setTabOrder(saveBut, closeBut);
    retranslateUi(PhraseBookBox);

    QMetaObject::connectSlotsByName(PhraseBookBox);
    } // setupUi

    void retranslateUi(QDialog *PhraseBookBox)
    {
    PhraseBookBox->setWindowTitle(QApplication::translate("PhraseBookBox", "Edit Phrase Book", 0, QApplication::UnicodeUTF8));
    PhraseBookBox->setProperty("whatsThis", QVariant(QApplication::translate("PhraseBookBox", "This window allows you to add, modify, or delete phrases in a phrase book.", 0, QApplication::UnicodeUTF8)));
    target->setText(QApplication::translate("PhraseBookBox", "&Translation:", 0, QApplication::UnicodeUTF8));
    targetLed->setProperty("whatsThis", QVariant(QApplication::translate("PhraseBookBox", "This is the phrase in the target language corresponding to the source phrase.", 0, QApplication::UnicodeUTF8)));
    source->setText(QApplication::translate("PhraseBookBox", "S&ource phrase:", 0, QApplication::UnicodeUTF8));
    definitionLed->setProperty("whatsThis", QVariant(QApplication::translate("PhraseBookBox", "This is a definition for the source phrase.", 0, QApplication::UnicodeUTF8)));
    sourceLed->setProperty("whatsThis", QVariant(QApplication::translate("PhraseBookBox", "This is the phrase in the source language.", 0, QApplication::UnicodeUTF8)));
    definition->setText(QApplication::translate("PhraseBookBox", "&Definition:", 0, QApplication::UnicodeUTF8));
    newBut->setText(QApplication::translate("PhraseBookBox", "&New Phrase", 0, QApplication::UnicodeUTF8));
    newBut->setProperty("whatsThis", QVariant(QApplication::translate("PhraseBookBox", "Click here to add the phrase to the phrase book.", 0, QApplication::UnicodeUTF8)));
    removeBut->setText(QApplication::translate("PhraseBookBox", "&Remove Phrase", 0, QApplication::UnicodeUTF8));
    removeBut->setProperty("whatsThis", QVariant(QApplication::translate("PhraseBookBox", "Click here to remove the phrase from the phrase book.", 0, QApplication::UnicodeUTF8)));
    saveBut->setText(QApplication::translate("PhraseBookBox", "&Save", 0, QApplication::UnicodeUTF8));
    saveBut->setProperty("whatsThis", QVariant(QApplication::translate("PhraseBookBox", "Click here to save the changes made.", 0, QApplication::UnicodeUTF8)));
    closeBut->setText(QApplication::translate("PhraseBookBox", "Close", 0, QApplication::UnicodeUTF8));
    closeBut->setProperty("whatsThis", QVariant(QApplication::translate("PhraseBookBox", "Click here to close this window.", 0, QApplication::UnicodeUTF8)));
    Q_UNUSED(PhraseBookBox);
    } // retranslateUi

};

namespace Ui {
    class PhraseBookBox: public Ui_PhraseBookBox {};
} // namespace Ui

#endif // UI_PHRASEBOOKBOX_H
